<?PHP
/***************************************************************************\
*
*	Copyright (c) 2013 deltra Business Software GmbH & Co. KG
*	http://www.deltra.de
*	Zuletzt bearbeitet am: 2013-03-05
*
\***************************************************************************/

//=================================================================
// Abfrage fuer koobi:SHOP (Version 7.x) (c) dream4
//=================================================================
function artikeldaten_shop_zu_orgamax()
{
	#Querytyp:
	// datakind == 1 => Daten werden als Query verarbeitet
	// datakind == 2 => Daten werden als Array verarbeitet
	include "../config/db.config.php";
	define('DBPF', $config['dbprefix']);
	$GLOBALS['datakind'] = "1";

	#SQL Query f?r koobi:shop Artikel
	if (!$GLOBALS['attributes_import'])
	{
		$GLOBALS['query'] = "
			SELECT 
				" . DBPF . "_shop_produkte.Id as productID,
				" . DBPF . "_shop_produkte.Kategorie as Artikelkategorie,
				" . DBPF . "_shop_produkte.Artikelnummer as Artikelnummer,
				" . DBPF . "_shop_produkte.Artikelnummer as ArtikelnummerWebshop,
				" . DBPF . "_shop_produkte.Titel_1 as Artikelbeschreibung,
				" . DBPF . "_shop_produkte.Preis_EK as Einkaufspreis,
				" . DBPF . "_shop_produkte.Preis_Liste as ArtikelpreisBrutto,
				" . DBPF . "_shop_produkte.Preis_Liste as ArtikelpreisNetto,
				" . DBPF . "_shop_produkte.Gewicht as Gewicht
			FROM 
				" . DBPF . "_shop_produkte 
		";
	}
	return $GLOBALS['datakind'];
	
	
}

function artRow_ueberpruefen($artRow)
{
	$res = mysql_fetch_object(mysql_query("SELECT Name_1,UstId FROM " . DBPF . "_shop_kategorie WHERE Id = '" . $artRow['Artikelkategorie'] . "'"));
	$res_nett = mysql_fetch_object(mysql_query("SELECT Wert FROM " . DBPF . "_shop_ustzone WHERE Id = '" . $res->UstId . "'"));
	
	$ust_string = number_format($res_nett->Wert,2,'.','');
	if($ust_string<10)
	{
		$ust_string = str_replace('.','',$ust_string);
		$ust_string_f = '1.0' . $ust_string;
	} else {
		$ust_string = str_replace('.','',$ust_string);
		$ust_string_f = '1.' . $ust_string;
		
	}
	
	
	
	$artRow['MwStCode'] = ($res_nett->Wert=='19.00') ? 1 : 2;
	$artRow['ArtikelpreisNetto'] = $artRow['ArtikelpreisBrutto'] / $ust_string_f;//- ($artRow['ArtikelpreisBrutto'] / 100 * $res_nett->Wert);
	$artRow['Artikelkategorie'] = $res->Name_1;
	$artRow['Gewicht'] = $artRow['Gewicht'] / 1000;
	
	# HTML Codes konvertieren
	$artRow['Artikelkategorie'] = html_entity_decode($artRow['Artikelkategorie']);
	$artRow['Artikelbeschreibung'] = html_entity_decode($artRow['Artikelbeschreibung']);
	$artRow['Artikelnummer'] = '';
	$artRow['ArtikelnummerWebshop'] = html_entity_decode($artRow['ArtikelnummerWebshop']);
		
	return $artRow;
}

function daten_holen()
{
	$GLOBALS['datakind'] = "1";

	include "../config/db.config.php";
	
	define('DBPF', $config['dbprefix']);
	
	$GLOBALS['query'] = "SELECT
		`" . DBPF . "_shop_bestellungen`.`Id` AS `orderID`,
		`" . DBPF . "_shop_bestellungen`.`GutscheinId` AS `Gutschein`,
		`" . DBPF . "_shop_bestellungen`.`Id` AS `orderID`,
		`" . DBPF . "_shop_bestellungen`.`Id` AS `BestellnummerShop`,
		`" . DBPF . "_shop_bestellungen`.`Datum` AS `Bestelldatum`,
		`" . DBPF . "_shop_bestellungen`.`UStId` AS `Umsatzsteueridentnummer`,
		`" . DBPF . "_shop_bestellungen`.`Rng_Firma` AS `Firmenname`,
		`" . DBPF . "_shop_bestellungen`.`ZuschlagZahlungsart`,
		`" . DBPF . "_shop_zahlungsmethoden`.`name_1` AS `Zahlungsart`,
		`" . DBPF . "_shop_zahlungsmethoden`.`KostenOperant` AS `KostenOp`,
		`" . DBPF . "_shop_zahlungsmethoden`.`KostenTyp`,
		`" . DBPF . "_shop_zahlungsmethoden`.`Kosten`,
		`" . DBPF . "_shop_bestellungen_items`.`Varianten` AS `Koobi_Variantentext`,
		`" . DBPF . "_shop_bestellungen_items`.`ArtikelName` AS `Koobi_ArtName`,
		`" . DBPF . "_shop_versandarten`.`Name_1` as Lieferart, 
		`" . DBPF . "_shop_bestellungen`.`KundenNachricht` AS `AnmerkungenBestellung`,
		`" . DBPF . "_shop_bestellungen`.`Rng_Nachname` AS `PersonNachname`,	
		`" . DBPF . "_shop_bestellungen`.`Rng_Vorname` AS `PersonVorname`,	
		`" . DBPF . "_shop_bestellungen`.`Rng_Strasse` AS `Strasse`,	
		`" . DBPF . "_shop_bestellungen`.`Rng_Plz` AS `Postleitzahl`,	
		`" . DBPF . "_shop_bestellungen`.`Rng_Ort` AS `Ort`,	
		`" . DBPF . "_shop_bestellungen`.`Rng_Land` AS `Land`,	
		`" . DBPF . "_shop_bestellungen`.`Rng_email` AS `Email`,
		`" . DBPF . "_shop_bestellungen`.`Rng_Fon`  AS `Telefon`,
		`" . DBPF . "_shop_bestellungen`.`Rng_Fax` AS `Fax`,
		`" . DBPF . "_shop_bestellungen`.`WarenwertBrutto` AS `WarenwertBrutto`,
		case 
			when `" . DBPF . "_shop_bestellungen`.`Benutzer` = 0 then 0
			else `" . DBPF . "_benutzer`.`id`
		end AS `KundennummerWebshop`,
		case
	  		when (`" . DBPF . "_shop_bestellungen`.`Benutzer` = 0) and (`" . DBPF . "_benutzer`.`Geschlecht` = 'f') then 'Frau'
	  		when (`" . DBPF . "_shop_bestellungen`.`Benutzer` = 0) and (`" . DBPF . "_benutzer`.`Geschlecht` = 'm') then 'Herr'
	  		when (`" . DBPF . "_shop_bestellungen`.`Benutzer` = 0) and (`" . DBPF . "_benutzer`.`Geschlecht` = '-') then ''
	  	else ''
	  end AS `PersonAnrede`,	
		
		`" . DBPF . "_shop_bestellungen`.`Lief_Firma` AS `abweichendLieferungFirmenname`,
		case
			when `" . DBPF . "_shop_bestellungen`.`Lief_Anrede` = 1 then 'Herr'
			when `" . DBPF . "_shop_bestellungen`.`Lief_Anrede` = 2 then 'Frau'
			else `" . DBPF . "_shop_bestellungen`.`Lief_Anrede`
		end AS `abweichendLieferungPersAnrede`,
		`" . DBPF . "_shop_bestellungen`.`Lief_Vorname` AS `abweichendLieferungPersVorname`,
		`" . DBPF . "_shop_bestellungen`.`Lief_Nachname` AS `abweichendLieferungPersNachname`,
		`" . DBPF . "_shop_bestellungen`.`Lief_Strasse` AS `abweichendLieferungStrasse`,
		`" . DBPF . "_shop_bestellungen`.`Lief_Plz` AS `abweichendLieferungPostleitzahl`,
		`" . DBPF . "_shop_bestellungen`.`Lief_Ort` AS `abweichendLieferungOrt`,
		`" . DBPF . "_shop_bestellungen`.`Lief_Land` AS `abweichendLieferungLand`,
		`" . DBPF . "_shop_bestellungen`.`Rng_Firma` AS `abweichendRechnungFirmenname`,
	  case
	  	when `" . DBPF . "_shop_bestellungen`.`Rng_Anrede` = 1 then 'Herr'
	  	when `" . DBPF . "_shop_bestellungen`.`Rng_Anrede` = 2 then 'Frau'
	  	else `" . DBPF . "_shop_bestellungen`.`Rng_Anrede`
	  end AS `abweichendRechnungPersAnrede`,
		`" . DBPF . "_shop_bestellungen`.`Rng_Vorname` AS `abweichendRechnungPersVorname`,
		`" . DBPF . "_shop_bestellungen`.`Rng_Nachname` AS `abweichendRechnungPersNachname`,
		`" . DBPF . "_shop_bestellungen`.`rng_Strasse` AS `abweichendRechnungStrasse`,
		`" . DBPF . "_shop_bestellungen`.`rng_Plz` AS `abweichendRechnungPostleitzahl`,
		`" . DBPF . "_shop_bestellungen`.`rng_Ort` AS `abweichendRechnungOrt`,
		`" . DBPF . "_shop_bestellungen`.`rng_Land` AS `abweichendRechnungLand`,
		
		`" . DBPF . "_shop_bestellungen`.`Versandkosten` AS `FrachtkostenBrutto`,
		
		
		`" . DBPF . "_shop_bestellungen_items`.`Artikelnummer` AS `ArtikelnummerShop`,
		`" . DBPF . "_shop_bestellungen_items`.`Anzahl` AS `Menge`,
		case
			when `" . DBPF . "_shop_produkte`.`Preis` = 0 then `" . DBPF . "_shop_produkte`.`Preis_liste`
			when `" . DBPF . "_shop_produkte`.`Preis_Liste_Gueltig` < UNIX_TIMESTAMP() then `" . DBPF . "_shop_produkte`.`Preis_liste`
			else `" . DBPF . "_shop_produkte`.`Preis`
		end AS `abweichenderEinzelpreisBrutto`,
		`" . DBPF . "_shop_ustzone`.`Wert` AS `abweichendMwStProzent`,
		case
			when `" . DBPF . "_shop_zahlungsmethoden`.`KostenTyp` = 'pro' then `" . DBPF . "_shop_zahlungsmethoden`.`Kosten`
			else '0'
		end as RabattProzent,
		case 
			when `" . DBPF . "_shop_zahlungsmethoden`.`KostenTyp` = 'wert' then (`" . DBPF . "_shop_zahlungsmethoden`.`Kosten`)
			else '0'
		end as ZuschlagkostenBrutto1, 
		`" . DBPF . "_shop_bestellungen`.`BankName` as `BankkontoBankName`,
		`" . DBPF . "_shop_bestellungen`.`BankLeitzahl` as `BankkontoBLZ`,
		`" . DBPF . "_shop_bestellungen`.`BankKonto` as `Bankkontonummer`,
		`" . DBPF . "_shop_bestellungen`.`BankKontoInhaber` as `BankkontoInhaber`
		
	FROM
		`" . DBPF . "_shop_bestellungen`
		Left Join `" . DBPF . "_shop_zahlungsmethoden` ON `" . DBPF . "_shop_bestellungen`.`zahlungsId` = `" . DBPF . "_shop_zahlungsmethoden`.`id`
		Left Join `" . DBPF . "_shop_bestellungen_items` ON `" . DBPF . "_shop_bestellungen`.`TransaktionsNummer` = `" . DBPF . "_shop_bestellungen_items`.`bestellnummer`
		Left Join `" . DBPF . "_shop_produkte` ON `" . DBPF . "_shop_bestellungen_items`.`artikelnummer` = `" . DBPF . "_shop_produkte`.`artikelnummer`
		Left Join `" . DBPF . "_benutzer` ON `" . DBPF . "_shop_bestellungen`.`Benutzer` = `" . DBPF . "_benutzer`.`id`
		Left Join `" . DBPF . "_shop_kategorie` ON `" . DBPF . "_shop_produkte`.`Kategorie` = `" . DBPF . "_shop_kategorie`.`id`
		Left Join `" . DBPF . "_shop_ustzone` ON `" . DBPF . "_shop_kategorie`.`ustid` = `" . DBPF . "_shop_ustzone`.`id`
		left join `" . DBPF . "_shop_versandarten` ON `" . DBPF . "_shop_versandarten`.`id` = `" . DBPF . "_shop_bestellungen`.`VersandId`
	WHERE 
		`" . DBPF . "_shop_bestellungen`.`status` =  'wait'";
	return $GLOBALS['datakind'];
}

//=================================================================
// Umbrueche umwandeln
//=================================================================
function br2nl($text)
{
    return  preg_replace('/<br\\\\s*?\\/??>/i', "\\n", $text);
}

//=================================================================
// Daten pruefen bzw. erweitern
//=================================================================
function row_ueberpruefen($row)
{
	$row['abweichendLieferungPersGeschl'] = ($row['abweichendRechnungPersAnrede'] == 'Herr') ? 'M' : 'W';
	$row['abweichendRechnungPersGeschl'] = ($row['abweichendRechnungPersAnrede'] == 'Herr') ? 'M' : 'W';
	//=================================================================
	// Datum anpassen
	//=================================================================
	$row['Bestelldatum'] = date('Y-m-d H:i:s',$row['Bestelldatum']);
	
	//=================================================================
	// Wenn es einen Zuschlag fuer eine Zahlungsmethode gibt...
	// Prozent zuzueglich
	//=================================================================
	if($row['KostenOp']=='+' && $row['KostenTyp'] == 'pro'){
		$row['ZuschlagkostenBrutto1'] = $row['ZuschlagZahlungsart'];
		$row['RabattProzent'] = '';
	// Prozent abzueglich
	} else if ($row['KostenOp']=='-' && $row['KostenTyp'] == 'pro'){
	//
	// Wert abzueglich
	} else if ($row['KostenOp']=='-' && $row['KostenTyp'] != 'pro'){
		$row['ZuschlagkostenBrutto1'] = '-' . $row['ZuschlagZahlungsart'];
		$row['RabattProzent'] = '';
	}
	
	# Artikeloptionen von Koobi_Variantentext in Artikelbeschreibung ?bernehmen
	//=================================================================
	// Mengenrabatt
	//=================================================================
	$query = mysql_query("SELECT Id FROM " . DBPF . "_shop_produkte WHERE Artikelnummer = '" . $row['ArtikelnummerShop'] . "'");
	$res   = mysql_fetch_object($query);
	if(is_object($res))
	{
		
		$ArtId = $res->Id;
		$query    = mysql_query("SELECT Wert,Operand FROM " . DBPF . "_shop_staffelpreise WHERE ArtikelId = '$ArtId' AND Von <= '" . $row['Menge'] . "' AND Bis >= '" . $row['Menge'] . "'");
		$row_psta = mysql_fetch_object($query);
		
		// Rabatt (Prozent)
		if(is_object($row_psta) && !empty($row_psta) && $row_psta->Operand=='pro')
		{
			
			$row['abweichenderEinzelpreisBrutto'] = $row['abweichenderEinzelpreisBrutto'] - ($row['abweichenderEinzelpreisBrutto'] / 100 * $row_psta->Wert);
		} else {
			if($row_psta->Operand=='pro')
			{
				$query    = mysql_query("SELECT Wert,Bis FROM " . DBPF . "_shop_staffelpreise WHERE ArtikelId = '$ArtId' ORDER BY Bis DESC LIMIT 1");
				$row_psta = mysql_fetch_object($query);
				if(is_object($row_psta) && !empty($row_psta) && $value>=$row_psta->Bis) $row['abweichenderEinzelpreisBrutto'] = $row['abweichenderEinzelpreisBrutto'] - ($row['abweichenderEinzelpreisBrutto'] / 100 * $row_psta->Wert);
			}
		}
		
		// Rabatt (Wert)
		if(is_object($row_psta) && !empty($row_psta) && $row_psta->Operand=='wert')
		{
			
			$row['abweichenderEinzelpreisBrutto'] = $row['abweichenderEinzelpreisBrutto'] - $row_psta->Wert;
		} else {
			if($row_psta->Operand=='wert')
			{
				$query    = mysql_query("SELECT Wert,Bis FROM " . DBPF . "_shop_staffelpreise WHERE ArtikelId = '$ArtId' ORDER BY Bis DESC LIMIT 1");
				$row_psta = mysql_fetch_object($query);
				if(is_object($row_psta) && !empty($row_psta) && $value>=$row_psta->Bis && $row_psta->Operand=='wert') $row['abweichenderEinzelpreisBrutto'] = $row['abweichenderEinzelpreisBrutto'] - $row_psta->Wert;
			}
		}
		
		
	}

	//=================================================================
	// Gutschein beruecksichtigen
	//=================================================================
	if(isset($row['Gutschein']) && $row['Gutschein'] > 0)
	{
		$query = mysql_query("SELECT Id,Wert,Typ FROM " . DBPF . "_shop_gutscheine WHERE Id = '" . $row['Gutschein'] . "'");
		$res   = mysql_fetch_object($query);
		
		if(is_object($res))
		{
			if($row['RabattProzent']!='')
			{
				$row['WarenwertBrutto']  =  number_format($row['WarenwertBrutto'] - ($row['WarenwertBrutto'] / 100 * $row['RabattProzent']),2,'.','');
			}
			
			// Gutschein mit Prozent-Wert
			if($res->Typ == 'pro')
			{
				#$BetragRabatt =  number_format($row['abweichenderEinzelpreisBrutto'],2,'.','') - number_format($row['abweichenderEinzelpreisBrutto'] - ($row['abweichenderEinzelpreisBrutto'] / 100 * $res->Wert),2,'.','');
				$BetragRabatt =  number_format($row['WarenwertBrutto'],2,'.','') - number_format($row['WarenwertBrutto'] - ($row['WarenwertBrutto'] / 100 * $res->Wert),2,'.','');
			} else {
			// Gutschein mit Betrag-Wert
				$BetragRabatt =  number_format($res->Wert,2,'.','');
			}
			$row['ZuschlagkostenBrutto2'] = '-' . $BetragRabatt;
		}
	}
	
	//=================================================================
	// Artikelvarianten beruecksichtigen
	//=================================================================
	if (($row['Koobi_Variantentext']) and ($row['Koobi_Variantentext'] != "INSERTOPTIONS"))
	{
		$row['Koobi_Variantentext'] = br2nl($row['Koobi_Variantentext']);
		$row['Koobi_Variantentext'] = html_entity_decode($row['Koobi_Variantentext']);
		$row['Koobi_Variantentext'] = strip_tags($row['Koobi_Variantentext']);
		
		$row['abweichenderArtikeltext'] .=  $row['Koobi_Variantentext'];
		$row['abweichenderArtikeltext'] = strip_tags(html_entity_decode($row['Koobi_ArtName'])) . " - Varianten: " . $row['abweichenderArtikeltext'];
	} 

	// Preis neu berechnen, wenn Artikelvarianten einen zzgl. bzw. abzgl. Wert haben
	if($row['Koobi_Variantentext'] != '')
	{
		$VarsEx = explode("\r\n", $row['Koobi_Variantentext']);
		foreach($VarsEx as $a => $b)
		{
			// Variante hat einen zzgl. Wert
			$VarsExPM1 = explode(') +',$b);
			foreach($VarsExPM1 as $c => $d)
			{
				$row['abweichenderEinzelpreisBrutto'] += $d;
			}
			// Variante hat einen abzgl. Wert
			$VarsExPM2 = explode(') -',$b);
			foreach($VarsExPM2 as $e => $f)
			{
				$row['abweichenderEinzelpreisBrutto'] -= $f;
			}
		}
	}
	
	return $row;
}

function status_aendern($id)
{
	include "../config/db.config.php";	
	if($GLOBALS["aendern_zu"] == 'holded') $status = 'progress';
	else	$status = 'wait';
	$query = "UPDATE " . $config['dbprefix'] . "_shop_bestellungen Set Status = '".$status."' WHERE Id = '$id'";
	mysql_query($query);
}

function starten()
{
	//=================================================================
	// Konfigurationsdatei vom Shopsystem einbinden und Verbindung zur 
	// Datenbank herstellen
	//=================================================================
	$koobi_config = "../config/db.config.php";
	
	// Verbindung starten
	if (file_exists($koobi_config)) 
	{
		include $koobi_config;
		$GLOBALS['sql_con'] = mysql_connect($config['dbhost'], $config['dbuser'], $config['dbpass']);
		mysql_select_db($config['dbname'], $GLOBALS['sql_con']);
		$dbprefix = DBPF;
	}
	else
	{	
		die (xml_error_ausgeben($GLOBALS['err_msg']['shop_cfg'],__FILE__, __FUNCTION__, __LINE__));
	}

}

function ende()
{
	// Verbindung beenden
	mysql_close($GLOBALS['sql_con']);
}
?>