<?PHP
/***************************************************************************\
*
*	Copyright (c) 2011 deltra Software GmbH
*	http://www.deltra.de
*
\***************************************************************************/
/***************************************************************************\
*
*	In dieser Datei haben Sie die Mglichkeit ein nicht untersttztes Shop-
*	system anzupassen.
*
*	Informationen diesbezglich knnen Sie der Schnittstellenbeschreibung
*	der ERP Shopanbindung entnehmen. Diese finden Sie im Handbuch
*	vom ERP im Bereich "Anhang - Schnittstellenbeschreibung Webshop-
*	modul
*
*	Fr individuelle Anpassungen an der ERP Shopanbindung kann unser
*	technischer Support weder Ausknfte erteilen noch Hilfestellung leisten.
*
*	Die Firma deltra Software bernimmt keine Haftung fr Probleme die
*	mit einer angepassten Version der Shopanbindung entstehen.
*
*	Mit der Anpassung der ERP Shopanbindung stimmen Sie diesen Bedingungen
*	automatisch zu.
*
\***************************************************************************/

/***************************************************************************\
* xaranshop V5.0.x.x Anbindung an orgaMax Software
* (c) punkt Software Development 2012-2013 - Thomas Grtler
* http://www.punktsoft.de
* http://www.xaran.de
* Version: 1.0 - 14.11.2012
* Version: 1.1 - 14.12.2012 - diverse Fehlerbehebungen -> Brutto/Netto Werte
* Version: 1.2 - 06.02.2012 - Bruttoartikelpreis wurde nicht bergeben
* Version: 1.3 - 15.04.2013 - Artikel ohne Varianten konnte fehlerhaft bertragen werden
\***************************************************************************/

/***************************************************************************\
 * Skriptstart
\***************************************************************************/

// datakind == 1 => Daten werden als Query verarbeitet
// datakind == 2 => Daten werden als Array verarbeitet
// xaranshop speichert die Bestellungen als XML Daten.
// Daher keine SQL Query nutzbar, auer bei den Aktualisierungen 
// und dem Im-/ Export

// xaranshop - Konfiguration einbinden
include_once("../konfiguration.php5");

// Standard Datentyp setzen
$GLOBALS['datakind'] = "2";

/***************************************************************************\
// Diese Funktion wird immer zuerst aufgerufen
\***************************************************************************/
function starten()
  {
  }

/***************************************************************************\
// Diese Funktion wird immer zuletzt aufgerufen
\***************************************************************************/
function ende()
  {
      // Datenbankverbindung schlieen
      mysql_close();
  }

/***************************************************************************\
// Einmal pro Datensatz fr letzte nderung an den bertragenen Daten
\***************************************************************************/
function row_ueberpruefen($row)
  {
    return $row;  
  }

/***************************************************************************\
// Alle Daten werden aus der entsprechenden XML Information ausgelesen
// entsprechend aufbereitet weitergegeben
\***************************************************************************/
function daten_holen()
  {      
  	  $GLOBALS['datakind'] = "2";
      global $verbindungskennung, $verbindung;

      // xaranshop Konfigurationswerte laden:
      // Wert: 2705 = Kleinunternehmer   (ja, nein) -> MwSt. nicht ausweisen - Bruttopreise
      // Wert: 2706 = Preise inkl. MwSt. (ja, nein)                          - Bruttopreise 
      // Wert: 2707 = Preise exkl. MWst. (ja, nein)                          - Nettopreise 
      // Zwischen Brutto/Netto Preisbergabe unterschieden
      // 2705
      $tmpKleinUnternehmer  = "nein";
      $tmpInklMwSt          = "nein";
      $tmpExklMwSt          = "nein";
      // 2705
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2705';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpKleinUnternehmer = $row->konfiguration_kwert; }
      // 2706
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2706';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) {$row = mysql_fetch_object($result); $tmpInklMwSt = $row->konfiguration_kwert; }
      // 2707
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2707';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpExklMwSt = $row->konfiguration_kwert; }
      // Kleinunternehmer oder inkl. MwSt -> dann Brutto, sonst Netto
      if(($tmpKleinUnternehmer == "ja") OR ($tmpInklMwSt == "ja")) { $BruttoPreise = true; } else { $BruttoPreise = false; }

      // Versandkosten -> Einstellungen MwSt
      // 3445 -> Fester MwSt Satz -> Versandkosten
      // 3446 -> MwSt Satz -> Prozent nachladen
      // 3447 -> MwSt wie Hauptleistung?
      $tmpFesterMwStSatzVersandkosten = "nein";
      // 3445
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='3445';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpFesterMwStSatzVersandkosten = $row->konfiguration_kwert; }
      $tmpFesterMwStSatzVersandkostenWert = 0;
      // 3446
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='3446';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpFesterMwStSatzVersandkostenWert = $row->konfiguration_kwert; }
      $tmpMwStSatzVersandkostenWertWieHauptleistung = "nein";
      // 3447
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='3447';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpMwStSatzVersandkostenWertWieHauptleistung = $row->konfiguration_kwert; }

      // Zahlungskosten -> Einstellungen MwSt
      // 3295 -> Fester MwSt Satz -> Versandkosten
      // 3296 -> MwSt Satz -> Prozent nachladen
      // 3297 -> MwSt wie Hauptleistung?
      $tmpFesterMwStSatzZahlungskosten = "nein";
      // 3295
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='3295';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpFesterMwStSatzZahlungskosten = $row->konfiguration_kwert; }
      $tmpFesterMwStSatzZahlungskostenWert = 0;
      // 3296
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='3296';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpFesterMwStSatzZahlungskostenWert = $row->konfiguration_kwert; }
      $tmpMwStSatzZahlungskostenWertWieHauptleistung = "nein";
      // 3297
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='3297';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpMwStSatzZahlungskostenWertWieHauptleistung = $row->konfiguration_kwert; }

      // Alle hinterlegten MwSt Stze laden
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2700';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpMwStSatz0 = $row->konfiguration_kwert; } else { $tmpMwStSatz0 = 0.00; }
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2701';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpMwStSatz1 = $row->konfiguration_kwert; } else { $tmpMwStSatz1 = 0.00; }
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2702';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpMwStSatz2 = $row->konfiguration_kwert; } else { $tmpMwStSatz2 = 0.00; }
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2703';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpMwStSatz3 = $row->konfiguration_kwert; } else { $tmpMwStSatz3 = 0.00; }
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2704';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpMwStSatz4 = $row->konfiguration_kwert; } else { $tmpMwStSatz4 = 0.00; }

      
      // Alle Datenstze, die noch nicht bernommen wurden auswhlen
      $sqlQuery = "SELECT * FROM `xaranshop_bestellungen` WHERE `bestellungen_wawiexport` = '". $GLOBALS["DEFAULT_ORDERS_STATUS"] ."';";
      // $ergebnis = mysql_query($sqlQuery, $verbindungskennung) or die(xml_error_ausgeben("MySQL Fehler: " . mysql_error() . " - Query: " . $sqlQuery, __FILE__, __FUNCTION__, __LINE__));
      $ergebnis = mysql_query($sqlQuery, $verbindungskennung) or die("MySQL Fehler: --> " . mysql_error() . " <-- - Query: " . $sqlQuery);
      // Alle Datenstze durchlaufen
      while($tupel = mysql_fetch_array($ergebnis))
         {             
              // XML Daten der Bestellung laden
              $xmlDaten = $tupel['bestellungen_xml'];
              // Wichtig! Die CDATA Felder mssen umgewandelt werden
              $xml = simplexml_load_string($xmlDaten, 'SimpleXMLElement', LIBXML_NOCDATA | LIBXML_NOBLANKS | LIBXML_NOEMPTYTAG);

              // ID der Bestellung zwischenspeichern
              $tmp_id             = $tupel['bestellungen_id'];
              $tmp_bestelldatum   = $tupel['bestellungen_erstellt'];

              // Daten zwischenspeichern -> spter zusammensetzen
              $AktuellerBuchungsKopf = array();
              $AktuellerBuchungsKopf['orderID']             = intval($tmp_id);
              $AktuellerBuchungsKopf['BestellnummerShop']   = intval($tmp_id);
              $AktuellerBuchungsKopf['Bestelldatum']        = $tmp_bestelldatum;
              $tmp_bestellwert = 0.00;
              
              // Attribute prfen -> Wenn ein Attribut exkl. gefunden dann Wert speichern.
              foreach($xml->zwischensumme as $zwischensumme) 
                {
                    if($zwischensumme->attributes()->rabatt == "inkl")
                      {
                          $tmp_bestellwert = ecmadouble($zwischensumme);
                      }
                }

              // Einige Felder sind deaktiviert
              $AktuellerBuchungsKopf['BestellwertBrutto']                   = $tmp_bestellwert;       
              $AktuellerBuchungsKopf['Lieferart']                           = substr($xml->versand->versandart, 0, 50);       // die ersten 50 Zeichen der Versandart
              $AktuellerBuchungsKopf['Zahlungsart']                         = substr($xml->zahlung->zahlungsweise, 0, 50);    // die ersten 50 Zeichen der Zahlungsart
              $AktuellerBuchungsKopf['AnmerkungenBestellung']               = substr($xml->anmerkungen, 0, 255);              // die ersten 255 Zeichen der Anmerkung
              
              $AktuellerBuchungsKopf['Firmenname']                          = substr($xml->rechnungsadresse->firma , 0 ,50);
              $AktuellerBuchungsKopf['PersonAnrede']                        = substr($xml->rechnungsadresse->anrede , 0 ,30);
              $AktuellerBuchungsKopf['PersonNachname']                      = substr($xml->rechnungsadresse->nachname , 0 ,50);
              $AktuellerBuchungsKopf['PersonVorname']                       = substr($xml->rechnungsadresse->vorname , 0 ,50);
              $AktuellerBuchungsKopf['Strasse']                             = substr($xml->rechnungsadresse->anschrift , 0 ,50);
              $AktuellerBuchungsKopf['Postleitzahl']                        = substr($xml->rechnungsadresse->plz , 0 ,10);
              $AktuellerBuchungsKopf['Ort']                                 = substr($xml->rechnungsadresse->ort , 0 ,50);
              // $AktuellerBuchungsKopf['Laendercode']                         = substr($xml->rechnungsadresse-> , 0 ,50);
              $AktuellerBuchungsKopf['Land']                                = substr($xml->rechnungsadresse->land , 0 ,5);
              $AktuellerBuchungsKopf['Email']                               = substr($xml->rechnungsadresse->email , 0 ,50);
              $AktuellerBuchungsKopf['Telefon']                             = substr($xml->rechnungsadresse->fon , 0 ,40);
              $AktuellerBuchungsKopf['Fax']                                 = substr($xml->rechnungsadresse->fax , 0 ,40);
              
              $AktuellerBuchungsKopf['Umsatzsteueridentnummer']             = substr($xml->sonstiges->ustid , 0 ,20);

              $AktuellerBuchungsKopf['BankkontoInhaber']                    = substr($xml->zahlung->details->kontoinhaber , 0 ,27);
              $AktuellerBuchungsKopf['Bankkontonummer']                     = substr(str_replace($xml->zahlung->details->kontonummer , " ","") , 0 ,20);
              $AktuellerBuchungsKopf['BankkontoBLZ']                        = substr(str_replace($xml->zahlung->details->blz , " ","") , 0 ,15);
              $AktuellerBuchungsKopf['BankkontoBankName']                   = substr($xml->zahlung->details->bank , 0 ,40);

              $AktuellerBuchungsKopf['abweichendLieferungFirmenname']       = substr($xml->lieferadresse->lieferfirma , 0 ,50);
              $AktuellerBuchungsKopf['abweichendLieferungPersAnrede']       = substr($xml->lieferadresse->lieferanrede , 0 ,30);
              $AktuellerBuchungsKopf['abweichendLieferungPersNachname']     = substr($xml->lieferadresse->liefernachname , 0 ,50);
              $AktuellerBuchungsKopf['abweichendLieferungPersVorname']      = substr($xml->lieferadresse->liefervorname , 0 ,50);
              $AktuellerBuchungsKopf['abweichendLieferungStrasse']          = substr($xml->lieferadresse->lieferanschrift , 0 ,50);
              $AktuellerBuchungsKopf['abweichendLieferungPostleitzahl']     = substr($xml->lieferadresse->lieferplz , 0 ,10);
              $AktuellerBuchungsKopf['abweichendLieferungOrt']              = substr($xml->lieferadresse->lieferort , 0 ,50);
              // $AktuellerBuchungsKopf['abweichendLieferungLaendercode']      = substr($xml->lieferadresse-> , 0 ,5);
              $AktuellerBuchungsKopf['abweichendLieferungLand']             = substr($xml->lieferadresse->lieferland , 0 ,50);
              // $AktuellerBuchungsKopf['abweichendLieferungEmail']            = substr($xml->lieferadresse-> , 0 ,50);
              $AktuellerBuchungsKopf['abweichendLieferungTelefon']          = substr($xml->lieferadresse->lieferfon , 0 ,40);
              $AktuellerBuchungsKopf['abweichendLieferungFax']              = substr($xml->lieferadresse->lieferfax , 0 ,40);

              // Versandkosten
              if($BruttoPreise == false ) { $AktuellerBuchungsKopf['FrachtkostenNetto']     = ecmadouble($xml->versandkosten); } 
              if($BruttoPreise == true  ) { $AktuellerBuchungsKopf['FrachtkostenBrutto']    = ecmadouble($xml->versandkosten); } 
              if($tmpFesterMwStSatzVersandkosten != "nein") 
                {
                  if($tmpFesterMwStSatzVersandkostenWert == 0) { $AktuellerBuchungsKopf['FrachtkostenMwStProzent'] = $tmpMwStSatz0; }
                  if($tmpFesterMwStSatzVersandkostenWert == 1) { $AktuellerBuchungsKopf['FrachtkostenMwStProzent'] = $tmpMwStSatz1; }
                  if($tmpFesterMwStSatzVersandkostenWert == 2) { $AktuellerBuchungsKopf['FrachtkostenMwStProzent'] = $tmpMwStSatz2; }
                  if($tmpFesterMwStSatzVersandkostenWert == 3) { $AktuellerBuchungsKopf['FrachtkostenMwStProzent'] = $tmpMwStSatz3; }
                  if($tmpFesterMwStSatzVersandkostenWert == 4) { $AktuellerBuchungsKopf['FrachtkostenMwStProzent'] = $tmpMwStSatz4; }
                }
              else
                {
                      // maximalen MwSt. zurcksetzen
                      $maxMwStSatzWert = 0.00;
                      // MwSt der Hauptleistung ermitteln
                      foreach($xml->warenkorb->pos as $position)
                        {
                            $tmp_artbezeichnung       = $position->artikelbezeichnung;
                            $tmp_artkurzbeschreibung  = $position->artikelkurzbeschreibung;
                            $artnr_query  = "SELECT `artikel_artnr`, `artikel_mwst` FROM `xaranshop_artikel` WHERE `artikel_bezeichnung01`='$tmp_artbezeichnung';";
                            $art_ergebnis = mysql_query($artnr_query, $verbindungskennung) or die(xml_error_ausgeben("MySQL Fehler: " . mysql_error() . " - Query: " . $sqlQuery, __FILE__, __FUNCTION__, __LINE__));
                            // Alle Datenstze durchlaufen
                            while($art_tupel = mysql_fetch_array($art_ergebnis))
                                  {
                                      $tmp_artnr = $art_tupel['artikel_artnr'];
                                      $tmp_artsteuer =  0.00;
                                      // MwSt. Satz ermitteln
                                      if($art_tupel['artikel_mwst'] == 0) { $tmp_artsteuer = $tmpMwStSatz0;}
                                      if($art_tupel['artikel_mwst'] == 1) { $tmp_artsteuer = $tmpMwStSatz1;}
                                      if($art_tupel['artikel_mwst'] == 2) { $tmp_artsteuer = $tmpMwStSatz2;}
                                      if($art_tupel['artikel_mwst'] == 3) { $tmp_artsteuer = $tmpMwStSatz3;}
                                      if($art_tupel['artikel_mwst'] == 4) { $tmp_artsteuer = $tmpMwStSatz4;}
                                      if($tmp_artsteuer > $maxMwStSatzWert) { $maxMwStSatzWert = $tmp_artsteuer; }
                                  }             
                        }                   
                    $AktuellerBuchungsKopf['FrachtkostenMwStProzent'] = $maxMwStSatzWert; 
                }

              // Zahlungskosten
              if($BruttoPreise == false ) { $AktuellerBuchungsKopf['ZuschlagkostenNetto1']  = ecmadouble($xml->zahlungskosten); } 
              if($BruttoPreise == true  ) { $AktuellerBuchungsKopf['ZuschlagkostenBrutto1'] = ecmadouble($xml->zahlungskosten); } 
              if($tmpFesterMwStSatzZahlungskosten != "nein") 
                {
                  if($tmpFesterMwStSatzZahlungskostenWert == 0) { $AktuellerBuchungsKopf['ZuschlagkostenMwStProzent1'] = $tmpMwStSatz0; }
                  if($tmpFesterMwStSatzZahlungskostenWert == 1) { $AktuellerBuchungsKopf['ZuschlagkostenMwStProzent1'] = $tmpMwStSatz1; }
                  if($tmpFesterMwStSatzZahlungskostenWert == 2) { $AktuellerBuchungsKopf['ZuschlagkostenMwStProzent1'] = $tmpMwStSatz2; }
                  if($tmpFesterMwStSatzZahlungskostenWert == 3) { $AktuellerBuchungsKopf['ZuschlagkostenMwStProzent1'] = $tmpMwStSatz3; }
                  if($tmpFesterMwStSatzZahlungskostenWert == 4) { $AktuellerBuchungsKopf['ZuschlagkostenMwStProzent1'] = $tmpMwStSatz4; }
                }
              else
                {
                      // maximalen MwSt. zurcksetzen
                      $maxMwStSatzWert = 0.00;
                      // MwSt der Hauptleistung ermitteln
                      foreach($xml->warenkorb->pos as $position)
                        {
                            $tmp_artbezeichnung       = $position->artikelbezeichnung;
                            $tmp_artkurzbeschreibung  = $position->artikelkurzbeschreibung;
                            $artnr_query  = "SELECT `artikel_artnr`, `artikel_mwst` FROM `xaranshop_artikel` WHERE `artikel_bezeichnung01`='$tmp_artbezeichnung';";
                            $art_ergebnis = mysql_query($artnr_query, $verbindungskennung) or die(xml_error_ausgeben("MySQL Fehler: " . mysql_error() . " - Query: " . $sqlQuery, __FILE__, __FUNCTION__, __LINE__));
                            // Alle Datenstze durchlaufen
                            while($art_tupel = mysql_fetch_array($art_ergebnis))
                                  {
                                      $tmp_artnr = $art_tupel['artikel_artnr'];
                                      $tmp_artsteuer =  0.00;
                                      // MwSt. Satz ermitteln
                                      if($art_tupel['artikel_mwst'] == 0) { $tmp_artsteuer = $tmpMwStSatz0;}
                                      if($art_tupel['artikel_mwst'] == 1) { $tmp_artsteuer = $tmpMwStSatz1;}
                                      if($art_tupel['artikel_mwst'] == 2) { $tmp_artsteuer = $tmpMwStSatz2;}
                                      if($art_tupel['artikel_mwst'] == 3) { $tmp_artsteuer = $tmpMwStSatz3;}
                                      if($art_tupel['artikel_mwst'] == 4) { $tmp_artsteuer = $tmpMwStSatz4;}
                                      if($tmp_artsteuer > $maxMwStSatzWert) { $maxMwStSatzWert = $tmp_artsteuer; }
                                  }             
                        }                   
                  $AktuellerBuchungsKopf['ZuschlagkostenMwStProzent1'] = $maxMwStSatzWert; 
                }


              // $AktuellerBuchungsKopf['ZuschlagkostenNetto1']                = ecmadouble($xml->zahlungskosten);  
              // $AktuellerBuchungsKopf['ZuschlagkostenBrutto1']               = ecmadouble($xml->zahlungskosten); 
              // $AktuellerBuchungsKopf['ZuschlagkostenMwStProzent1']          = 19.00;  
              // $AktuellerBuchungsKopf['ZuschlagkostenNetto2']                = ecmadouble($xml->zahlungskosten);  
              // $AktuellerBuchungsKopf['ZuschlagkostenBrutto2']               = ecmadouble($xml->zahlungskosten); 
              // $AktuellerBuchungsKopf['ZuschlagkostenMwStProzent2']          = 19.00;  
              // $AktuellerBuchungsKopf['ZuschlagkostenNetto3']                = ecmadouble($xml->zahlungskosten);  
              // $AktuellerBuchungsKopf['ZuschlagkostenBrutto3']               = ecmadouble($xml->zahlungskosten); 
              // $AktuellerBuchungsKopf['ZuschlagkostenMwStProzent3']          = 19.00;  
             
              $tmp_rabatt                                                   = ecmadouble($xml->rabatt->attributes()->prozent);            
              
              // Alle Positionen des Warenkorbs durchlaufen ...
              $position_counter = 0;              
              foreach($xml->warenkorb->pos as $position)
                {
                
                    $position_counter = $position_counter + 1;
                    
                    $AktuellePosition['Positionsnummer']                    = $position_counter; 
                    
                    $tmp_artnr     = $position->artikelnummer;
                    $tmp_artsteuer = 19.00; 
                    // Artikelnummer nicht vorhanden -> aus Datenbank versuchen zu laden

                    if($tmp_artnr == "")
                      {
                        $tmp_artbezeichnung       = $position->artikelbezeichnung;
                        $tmp_artkurzbeschreibung  = $position->artikelkurzbeschreibung;
                        //$artnr_query  = "SELECT `artikel_artnr`, `artikel_mwst` FROM `xaranshop_artikel` WHERE `artikel_bezeichnung01`='".sqlsicher($tmp_artbezeichnung)."';";
                        $artnr_query  = "SELECT `artikel_artnr`, `artikel_mwst` FROM `xaranshop_artikel` WHERE `artikel_bezeichnung01`='$tmp_artbezeichnung';";

                        $art_ergebnis = mysql_query($artnr_query, $verbindungskennung) or die(xml_error_ausgeben("MySQL Fehler: " . mysql_error() . " - Query: " . $sqlQuery, __FILE__, __FUNCTION__, __LINE__));
                        //$art_ergebnis = mysql_query($artnr_query, $verbindungskennung) or die("MySQL Fehler: " . mysql_error() . " - Query: " . $artnr_query);

                        // Alle Datenstze durchlaufen
                        while($art_tupel = mysql_fetch_array($art_ergebnis))
                              {
                                  $tmp_artnr = $art_tupel['artikel_artnr'];
                                  $tmp_artsteuer =  0.00;
                                  // MwSt. Satz ermitteln
                                  if($art_tupel['artikel_mwst'] == 0) { $tmp_artsteuer = $tmpMwStSatz0;}
                                  if($art_tupel['artikel_mwst'] == 1) { $tmp_artsteuer = $tmpMwStSatz1;}
                                  if($art_tupel['artikel_mwst'] == 2) { $tmp_artsteuer = $tmpMwStSatz2;}
                                  if($art_tupel['artikel_mwst'] == 3) { $tmp_artsteuer = $tmpMwStSatz3;}
                                  if($art_tupel['artikel_mwst'] == 4) { $tmp_artsteuer = $tmpMwStSatz4;}
                              }             
                      }                   
                    
                    $AktuellePosition['Artikelnummer']                      = substr($tmp_artnr, 0, 20);
                    $AktuellePosition['ArtikelnummerShop']                  = substr($tmp_artnr, 0, 32);
                    $AktuellePosition['Menge']                              = ecmadouble($position->menge);

                    if($BruttoPreise == false )
                      {
                        $AktuellePosition['abweichenderEinzelpreisNetto']       = ecmadouble($position->einzelpreis); 
                      }
                    else
                      {
                        $AktuellePosition['abweichenderEinzelpreisBrutto']      = ecmadouble($position->einzelpreis);
                      }

                    $AktuellePosition['abweichendeMwStProzent']             = $tmp_artsteuer;
                     
                      $tmp_arttext = $position->artikelkurzbeschreibung;
                      $tmp_vanzahl = 0;
                      $tmp_vbeschreibung = array();
                      $tmp_veigenschaft  = array();
                      $tmp_text = "";
                          // Varianten durchlaufen -> Varianten Daten laden und verbinden -> als Infotext bergeben
                          // da die Varianten in der OrgaMax Software nicht angelegt werden.
                          foreach($position->varianten->variantenbezeichnung as $variante)
                            {
                                $tmp_vanzahl = $tmp_vanzahl + 1;
                                $tmp_vbeschreibung[] = $variante;
                            }
                          foreach($position->varianten->varianteneigenschaft as $variante)
                            {
                                $tmp_veigenschaft[]  = $variante;
                            }
                        
                          if($tmp_vanzahl > 0) 
                            {
                                for($i=0; $i<=$tmp_vanzahl; $i++)
                                  {
                                      if($i < $tmp_vanzahl)
                                        {
                                          if(strlen($tmp_vbeschreibung[$i])>0)
                                          {
                                            $tmp_text .= $tmp_vbeschreibung[$i] . ": " . $tmp_veigenschaft[$i] . ", ";
                                          }
                                        }
                                      else
                                        {
                                          if(strlen($tmp_vbeschreibung[$i])>0)
                                          {
                                            $tmp_text .= $tmp_vbeschreibung[$i] . ": " . $tmp_veigenschaft[$i];
                                          }
                                        }
                                  }
                            }
                          else
                            {
                              $tmp_text = "";
                            }

                    // HTML Tags entfernen
                    $tmp_text = strip_tags($tmp_text);
                    $tmp_arttext .= " " . $tmp_text; 
                                                
                    $AktuellePosition['abweichenderArtikeltext']            = substr($tmp_arttext, 0, 255);
                    $AktuellePosition['RabattProzent']                      = $tmp_rabatt;
                
                    // Neue Datenzeile erstellen aus zuvor zusammengetragenen Informationen der Bestellung                    
                    $NeueZeile = array();
                    $NeueZeile['orderID']                               = $AktuellerBuchungsKopf['orderID'];
                    $NeueZeile['BestellnummerShop']                     = $AktuellerBuchungsKopf['BestellnummerShop'];
                    $NeueZeile['Bestelldatum']                          = $AktuellerBuchungsKopf['Bestelldatum'];
                    
                    // $NeueZeile['BestellwertBrutto']                     = $AktuellerBuchungsKopf['BestellwertBrutto'];
                    $NeueZeile['Lieferart']                             = $AktuellerBuchungsKopf['Lieferart'];
                    $NeueZeile['Zahlungsart']                           = $AktuellerBuchungsKopf['Zahlungsart'];
                    $NeueZeile['AnmerkungenBestellung']                 = $AktuellerBuchungsKopf['AnmerkungenBestellung'];
                    $NeueZeile['Firmenname']                            = $AktuellerBuchungsKopf['Firmenname'];
                    $NeueZeile['PersonAnrede']                          = $AktuellerBuchungsKopf['PersonAnrede'];
                    $NeueZeile['PersonNachname']                        = $AktuellerBuchungsKopf['PersonNachname'];
                    $NeueZeile['PersonVorname']                         = $AktuellerBuchungsKopf['PersonVorname'];
                    $NeueZeile['Strasse']                               = $AktuellerBuchungsKopf['Strasse'];
                    $NeueZeile['Postleitzahl']                          = $AktuellerBuchungsKopf['Postleitzahl'];
                    $NeueZeile['Ort']                                   = $AktuellerBuchungsKopf['Ort'];
                    $NeueZeile['Land']                                  = $AktuellerBuchungsKopf['Land'];
                    $NeueZeile['Email']                                 = $AktuellerBuchungsKopf['Email'];
                    $NeueZeile['Telefon']                               = $AktuellerBuchungsKopf['Telefon'];
                    $NeueZeile['Fax']                                   = $AktuellerBuchungsKopf['Fax'];
                    
                    $NeueZeile['Umsatzsteueridentnummer']               = $AktuellerBuchungsKopf['Umsatzsteueridentnummer'];
                    
                    $NeueZeile['BankkontoInhaber']                      = $AktuellerBuchungsKopf['BankkontoInhaber'];
                    $NeueZeile['Bankkontonummer']                       = $AktuellerBuchungsKopf['Bankkontonummer'];
                    $NeueZeile['BankkontoBLZ']                          = $AktuellerBuchungsKopf['BankkontoBLZ'];
                    $NeueZeile['BankkontoBankName']                     = $AktuellerBuchungsKopf['BankkontoBankName'];
                    
                    $NeueZeile['abweichendLieferungFirmenname']         = $AktuellerBuchungsKopf['abweichendLieferungFirmenname'];
                    $NeueZeile['abweichendLieferungPersAnrede']         = $AktuellerBuchungsKopf['abweichendLieferungPersAnrede'];
                    $NeueZeile['abweichendLieferungPersNachname']       = $AktuellerBuchungsKopf['abweichendLieferungPersNachname'];
                    $NeueZeile['abweichendLieferungPersVorname']        = $AktuellerBuchungsKopf['abweichendLieferungPersVorname'];
                    $NeueZeile['abweichendLieferungStrasse']            = $AktuellerBuchungsKopf['abweichendLieferungStrasse'];
                    $NeueZeile['abweichendLieferungPostleitzahl']       = $AktuellerBuchungsKopf['abweichendLieferungPostleitzahl'];
                    $NeueZeile['abweichendLieferungOrt']                = $AktuellerBuchungsKopf['abweichendLieferungOrt'];
                    $NeueZeile['abweichendLieferungLand']               = $AktuellerBuchungsKopf['abweichendLieferungLand'];
                    $NeueZeile['abweichendLieferungTelefon']            = $AktuellerBuchungsKopf['abweichendLieferungTelefon'];
                    $NeueZeile['abweichendLieferungFax']                = $AktuellerBuchungsKopf['abweichendLieferungFax'];

                    // bergabe Versandkosten
                    if($BruttoPreise == false )
                      {
                          $NeueZeile['FrachtkostenNetto']               = $AktuellerBuchungsKopf['FrachtkostenNetto'];
                      }
                    else
                      {
                          $NeueZeile['FrachtkostenBrutto']              = $AktuellerBuchungsKopf['FrachtkostenBrutto'];
                      }  
                    $NeueZeile['FrachtkostenMwStProzent']               = $AktuellerBuchungsKopf['FrachtkostenMwStProzent'];

                    // bergabe Zahlungskosten
                    if($BruttoPreise == false )
                      {
                          $NeueZeile['ZuschlagkostenNetto1']            = $AktuellerBuchungsKopf['ZuschlagkostenNetto1'];
                      }
                    else
                      {
                          $NeueZeile['ZuschlagkostenBrutto1']           = $AktuellerBuchungsKopf['ZuschlagkostenBrutto1'];
                      }  
                    $NeueZeile['ZuschlagkostenMwStProzent1']            = $AktuellerBuchungsKopf['ZuschlagkostenMwStProzent1'];
                    
                    $NeueZeile['Positionsnummer']                       = $AktuellePosition['Positionsnummer'];
                    $NeueZeile['Artikelnummer']                         = $AktuellePosition['Artikelnummer'];
                    $NeueZeile['ArtikelnummerShop']                     = $AktuellePosition['ArtikelnummerShop'];
                    $NeueZeile['Menge']                                 = $AktuellePosition['Menge'];
                    // bergabe Artikelpreis -> kann abweichend sein wenn z.B. Varianten etc. berechnet werden
                    if($BruttoPreise == false )
                      {
                          $NeueZeile['abweichenderEinzelpreisNetto']    = $AktuellePosition['abweichenderEinzelpreisNetto'];
                      }
                    else
                      {
                          $NeueZeile['abweichenderEinzelpreisBrutto']   = $AktuellePosition['abweichenderEinzelpreisBrutto'];
                      }  

                    $NeueZeile['abweichendeMwStProzent']                = $AktuellePosition['abweichendeMwStProzent'];
                    $NeueZeile['abweichenderArtikeltext']               = $AktuellePosition['abweichenderArtikeltext'];
                    $NeueZeile['RabattProzent']                         = $AktuellePosition['RabattProzent'];

                    // Daten in das globale Array schreiben fr die orgaMax bergabe 
                    $GLOBALS['ErgebnisArray'][] = $NeueZeile;
                } 
         }      
  }

/***************************************************************************\
// nderung einer Bestellung - Import erfolgreich -> WaWi Export Flag setzen  
\***************************************************************************/
function status_aendern($id)
  {
      // Status des Datensatzes als exportiert markieren
      $sqlQuery = "UPDATE `xaranshop_bestellungen` SET `bestellungen_wawiexport`='". $GLOBALS["aendern_zu"] ."' WHERE `bestellungen_id`='$id';"; 
      
      if (!mysql_query($sqlQuery))
        {
            die(xml_error_ausgeben("Der Status der Bestellung (id: " . $id . ") konnte nicht gendert werden.", __FILE__, __FUNCTION__, __LINE__));
        }
      else
        {
            echo xml_success_ausgeben("Bestellstatus erfolgreich gesetzt.");
        }  
  }

/***************************************************************************\
// Neuen Lagerbestand aus OrgaMax bernehmen und speichern
// Zustzlich wird der Lagerbestand im Artikel aktiviert
\***************************************************************************/
function setze_lagerbestand_im_shop()
  {
    	$articleFile = file_get_contents('php://input');
      $amount_successfully_created = 0;
    	$amount_articles = 0;
    	if($articleFile != null && strlen($articleFile) > 0) {
     	
    		$articles = simplexml_load_string(($articleFile));
    		
    		$amount_articles = count($articles);
    		
    		foreach($articles as $article)
    		{
    			$articleNr = $article->ArtikelnummerWebshop;
    			$query  = "UPDATE xaranshop_artikel SET artikel_lagerbestandaktiv='1', artikel_lagerbestand='".str_replace(',','.',$article->LagerBestandAktuell)."'";
    			$query .= " WHERE artikel_artnr = '".mysql_escape_string($articleNr)."'";
    			$result = mysql_query($query);
    			
    			if($result)
    			{
    				$amount_successfully_created++;
    			}
    		}
    	}
    	WriteXMLResult($amount_articles,$amount_successfully_created);
    	//Hier knnen Sie den Bestellstatusexport vom ERP zum Shop definieren
  }

/***************************************************************************\
// Neuen Artikelpreis aus OrgaMax bernehmen und speichern
\***************************************************************************/
function setze_Artikelpreise_im_shop()
{
	$articleFile = file_get_contents('php://input');
	if($articleFile != null && strlen($articleFile) > 0) {

	// xaranshop Konfigurationswerte laden:
	// Wert: 2705 = Kleinunternehmer   (ja, nein) -> MwSt. nicht ausweisen - Bruttopreise
	// Wert: 2706 = Preise inkl. MwSt. (ja, nein)                          - Bruttopreise 
	// Wert: 2707 = Preise exkl. MWst. (ja, nein)                          - Nettopreise 
	// Zwischen Brutto/Netto Preisbergabe unterschieden
	// 2705
	$tmpKleinUnternehmer  = "nein";
	$tmpInklMwSt          = "nein";
	$tmpExklMwSt          = "nein";
	$BruttoPreise         = true;
	$PreisBrutto          = false;
	// 2705
	$query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2705';";
		$result = mysql_query($query);
		if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpKleinUnternehmer = $row->konfiguration_kwert; }
	// 2706
	$query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2706';";
		$result = mysql_query($query);
		if(mysql_num_rows($result) > 0) {$row = mysql_fetch_object($result); $tmpInklMwSt = $row->konfiguration_kwert; }
	// 2707
	$query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2707';";
		$result = mysql_query($query);
		if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpExklMwSt = $row->konfiguration_kwert; }
	// Kleinunternehmer oder inkl. MwSt -> dann Brutto, sonst Netto
	if(($tmpKleinUnternehmer == "ja") OR ($tmpInklMwSt == "ja")) { $BruttoPreise = true; } else { $BruttoPreise = false; }

	
	$articles = simplexml_load_string(($articleFile));
	
	$amount_successfully_created = 0;
	$amount_articles = count($articles);
	
	foreach($articles as $article)
	{
		$Preis = 0.00;
		$articleNr = $article->ArtikelnummerWebshop;
		if($article->ArtikelpreisNetto != 'DSC_IGNORE')
		{
			$Preis = str_replace(',','.',$article->ArtikelpreisNetto);
		}
		else
		{
			$Preis = str_replace(',','.',$article->ArtikelpreisBrutto);
		}

		// MwSt des Artikels ermitteln
		$query = "SELECT artikel_mwst FROM xaranshop_artikel WHERE artikel_artnr='$articleNr';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $MwStSatzVonArtikel = $row->artikel_mwst; } else { $MwStSatzVonArtikel = 0; }


			// MwSt Satz aus Wert ermitteln -> Dazu alle Werte der Einstellungen berprfen
		$tmpMwStSatz = 0;
		$query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2700';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpMwStSatz0 = $row->konfiguration_kwert; } else { $tmpMwStSatz0 = 0.00; }
		$query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2701';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpMwStSatz1 = $row->konfiguration_kwert; } else { $tmpMwStSatz1 = 0.00; }
		$query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2702';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpMwStSatz2 = $row->konfiguration_kwert; } else { $tmpMwStSatz2 = 0.00; }
		$query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2703';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpMwStSatz3 = $row->konfiguration_kwert; } else { $tmpMwStSatz3 = 0.00; }
		$query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2704';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpMwStSatz4 = $row->konfiguration_kwert; } else { $tmpMwStSatz4 = 0.00; }

		$tmpMwStWert = 0.00;

		switch($MwStSatzVonArtikel)
		{
		  case 0 :
			$tmpMwStSatz = 0;
			$tmpMwStWert = $tmpMwStSatz0; 
			break;
		  case 1 :
			$tmpMwStSatz = 1;
			$tmpMwStWert = $tmpMwStSatz1; 
			break;
		  case 2 :
			$tmpMwStSatz = 2;
			$tmpMwStWert = $tmpMwStSatz2; 
			break;
		  case 3 :
			$tmpMwStSatz = 3;
			$tmpMwStWert = $tmpMwStSatz3; 
			break;
		  case 4 :
			$tmpMwStSatz = 4;
			$tmpMwStWert = $tmpMwStSatz4; 
			break;
		  default:
			$tmpMwStSatz = 0;
			$tmpMwStWert = $tmpMwStSatz0; 
			break;        
		}
  
		// Es wurde der Nettopreis bergeben, aber der Shop bentigt Bruttopreise
		if(($PreisBrutto == false) AND ($BruttoPreise == true))
		{
			// Nur berechnen, wenn der MwSt Satz > 0 ist
			if($tmpMwStWert > 0.0)
			  {
				$tmpPreisMwSt = floatval($Preis * ($tmpMwStWert / 100));
				$Preis = $Preis + $tmpPreisMwSt; 
			  }
		}

		// Es wurde der Bruttopreis bergeben, aber der Shop bentigt Nettopreise
		if(($PreisBrutto == true) AND ($BruttoPreise == false))
		{
			// Nur berechnen, wenn der MwSt Satz > 0 ist
			if($tmpMwStWert > 0.0)
			  {
				$tmpPreisMwSt = floatval($Preis * ($tmpMwStWert / 100) / ((100+$tmpMwStWert)/100));
				$Preis = $Preis - $tmpPreisMwSt; 
			  }
		}

			
		if($article->ArtikelPreisBeziehtSichAufMenge == 1)
			{
				$updateQuery = "UPDATE xaranshop_artikel SET artikel_preis = '".$Preis."' WHERE artikel_artnr = '".$articleNr."'";
				
				$result = mysql_query($updateQuery);
				
				if($result > 0)
				{
					$amount_successfully_created++;
				}
			}
		}
		WriteXMLResult($amount_articles,$amount_successfully_created);
	}  
}

/***************************************************************************\
// Artikeldaten aus OrgaMax an den Shop bergeben und speichern
// Werden keine Kategorien bergeben, dann wird eine Dummy Kategorie
// OrgaMaxImport angelegt und dann im Shop hinterlegt. Dann knnen die
// Daten manuell bertragen werden.
\***************************************************************************/
function artikeldaten_orgamax_zu_shop()
  {
	$articleFile = file_get_contents('php://input');
	if($articleFile != null && strlen($articleFile) > 0) {

    // xaranshop Konfigurationswerte laden:
    // Wert: 2705 = Kleinunternehmer   (ja, nein) -> MwSt. nicht ausweisen - Bruttopreise
    // Wert: 2706 = Preise inkl. MwSt. (ja, nein)                          - Bruttopreise 
    // Wert: 2707 = Preise exkl. MWst. (ja, nein)                          - Nettopreise 
    // Zwischen Brutto/Netto Preisbergabe unterschieden
    // 2705
    $tmpKleinUnternehmer  = "nein";
    $tmpInklMwSt          = "nein";
    $tmpExklMwSt          = "nein";
    $BruttoPreise         = true;
    $PreisBrutto          = false;
    // 2705
    $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2705';";
		$result = mysql_query($query);
		if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpKleinUnternehmer = $row->konfiguration_kwert; }
    // 2706
    $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2706';";
		$result = mysql_query($query);
		if(mysql_num_rows($result) > 0) {$row = mysql_fetch_object($result); $tmpInklMwSt = $row->konfiguration_kwert; }
    // 2707
    $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2707';";
		$result = mysql_query($query);
		if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpExklMwSt = $row->konfiguration_kwert; }
    // Kleinunternehmer oder inkl. MwSt -> dann Brutto, sonst Netto
    if(($tmpKleinUnternehmer == "ja") OR ($tmpInklMwSt == "ja")) { $BruttoPreise = true; } else { $BruttoPreise = false; }


		$articles = simplexml_load_string(($articleFile));
		
		$amount_successfully_created = 0;
		$amount_articles = count($articles);
    
    // Alle Artikel durchlaufen		
		foreach($articles as $article)
		{
			// Werte zusammenbauen und ggf. anpassen
      $Preis = 0.0;
			$articleNr =  $article->ArtikelnummerWebshop;
			if($article->ArtikelpreisNetto != 'DSC_IGNORE')
			{
				$Preis = str_replace(',','.',$article->ArtikelpreisNetto);
        $PreisBrutto = false;
			}
			else
			{
				$Preis = str_replace(',','.',$article->ArtikelpreisBrutto);
        $PreisBrutto = true;
			}
			//Prfen ob der Artikel vorhanden ist
			
			$selectQuery = "SELECT artikel_id FROM xaranshop_artikel WHERE artikel_artnr = '".$articleNr."'";
			
			$res = mysql_query($selectQuery);
			$amount = mysql_num_rows($res);
			$value = 0;
			if($amount > 0)
			{
				$value = mysql_result($res,0);
			}
			
			// MwSt Satz aus Wert ermitteln -> Dazu alle Werte der Einstellungen berprfen
      $tmpMwStSatz = 0;
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2700';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpMwStSatz0 = $row->konfiguration_kwert; } else { $tmpMwStSatz0 = 0.00; }
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2701';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpMwStSatz1 = $row->konfiguration_kwert; } else { $tmpMwStSatz1 = 0.00; }
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2702';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpMwStSatz2 = $row->konfiguration_kwert; } else { $tmpMwStSatz2 = 0.00; }
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2703';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpMwStSatz3 = $row->konfiguration_kwert; } else { $tmpMwStSatz3 = 0.00; }
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2704';";
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpMwStSatz4 = $row->konfiguration_kwert; } else { $tmpMwStSatz4 = 0.00; }

      $tmpMwStWert = 0.00;

      switch($article->MwStValue)
        {
          case $tmpMwStSatz0:
            $tmpMwStSatz = 0;
            $tmpMwStWert = $tmpMwStSatz0; 
            break;
          case $tmpMwStSatz1:
            $tmpMwStSatz = 1;
            $tmpMwStWert = $tmpMwStSatz1; 
            break;
          case $tmpMwStSatz2 :
            $tmpMwStSatz = 2;
            $tmpMwStWert = $tmpMwStSatz2; 
            break;
          case $tmpMwStSatz3:
            $tmpMwStSatz = 3;
            $tmpMwStWert = $tmpMwStSatz3; 
            break;
          case $tmpMwStSatz4:
            $tmpMwStSatz = 4;
            $tmpMwStWert = $tmpMwStSatz4; 
            break;
          default:
            $tmpMwStSatz = 0;
            $tmpMwStWert = $tmpMwStSatz0; 
            break;        
        }
      $article->MwStCode = $tmpMwStSatz;

      // Es wurde der Nettopreis bergeben, aber der Shop bentigt Bruttopreise
      if(($PreisBrutto == false) AND ($BruttoPreise == true))
        {
            // Nur berechnen, wenn der MwSt Satz > 0 ist
            if($tmpMwStWert > 0.0)
              {
                $tmpPreisMwSt = floatval($Preis * ($tmpMwStWert / 100));
                $Preis = $Preis + $tmpPreisMwSt; 
              }
        }

      // Es wurde der Bruttopreis bergeben, aber der Shop bentigt Nettopreise
      if(($PreisBrutto == true) AND ($BruttoPreise == false))
        {
            // Nur berechnen, wenn der MwSt Satz > 0 ist
            if($tmpMwStWert > 0.0)
              {
                $tmpPreisMwSt = floatval($Preis * ($tmpMwStWert / 100) / ((100+$tmpMwStWert)/100));
                $Preis = $Preis - $tmpPreisMwSt; 
              }
        }
      
			$Artikelbeschreibung = strip_tags($article->Artikelbeschreibung);
			$Anmerkungen = $article->Anmerkungen;
			if($article->Artikelkategorie != 'DSC_IGNORE')
        {
          // Normale Kategorien aktivieren
          $ArtikelKategorie = strip_tags($article->Artikelkategorie);
          $kategorieAktiv = 1;  
        }
      else
        {
          // Dummy Kategorie deaktivieren, dann ist diese im Shop nicht
          // sichtbar und die Artikel knnen manuell verschoben werden
          $ArtikelKategorie = "ImportOrgaMax";        
          $kategorieAktiv = 0;
        }

      // Prfen ob Kategorie vorhanden ist ...
      $kategorieID = 0;
      $query = "SELECT * FROM xaranshop_kategorien WHERE kategorien_bezeichnung01='$ArtikelKategorie';";
			$result = mysql_query($query);
			$kamount = mysql_num_rows($result);
			if($kamount > 0)
        {
            // Kategorie vorhanden -> id holen ...                      
            $row = mysql_fetch_object($result);
            $kategorieID = $row->kategorien_id;                        
        }
      else
        {
            // Kategorie nicht vorhanden -> neu anlegen -> dann id holen ...                      
            $query = "INSERT INTO xaranshop_kategorien (kategorien_aktiv, kategorien_bezeichnung01, kategorien_beschreibung01, kategorien_datenherkunft) 
                                                        VALUES 
                                                       ('$kategorieAktiv','$ArtikelKategorie','$ArtikelKategorie','OrgaMax Artikelexport');";
            $result = mysql_query($query);
            $kategorieID = mysql_insert_id();
        }
      
      //Artikel nicht gefunden, neu anlegen
			if($value == 0)
			{
				$query = "INSERT INTO xaranshop_artikel (artikel_kid, artikel_bezeichnung01, artikel_kurzbeschreibung01, 
                                                 artikel_beschreibung01, artikel_umbruch01, artikel_artnr, artikel_preis, 
                                                 artikel_mwst, artikel_mengeneinheit, artikel_gewicht, artikel_gewichteinheit) 
                                                 VALUES 
                                                 ('$kategorieID','" . sqlsicher($article->Artikelbeschreibung) . "','" . sqlsicher($article->Artikelbeschreibung) . "',
                                                  '" . sqlsicher($article->Anmerkungen) . "','0','" . sqlsicher($articleNr) . "','$Preis',
                                                  '$tmpMwStSatz','" . sqlsicher($article->Einheit) . "','" . $article->Gewicht . "','kg');"; 
				
				$result = mysql_query($query);
				if($result)
				{
					$amount_successfully_created++;
				}
			}
			//Artikel vorhanden aktualisieren
			else
			{
				$query  = "UPDATE xaranshop_artikel SET artikel_kid='$kategorieID', artikel_bezeichnung01='" . sqlsicher($article->Artikelbeschreibung) . "', 
                                                artikel_kurzbeschreibung01='" . sqlsicher($article->Artikelbeschreibung) . "', 
                                                artikel_beschreibung01='" . sqlsicher($article->Anmerkungen) . "', artikel_preis='$Preis', artikel_mwst='$tmpMwStSatz', 
                                                artikel_mengeneinheit='" . sqlsicher($article->Einheit) . "', artikel_gewicht='" . $article->Gewicht . "' 
                                                WHERE artikel_artnr='$articleNr';";
				
				$result = mysql_query($query);
				
				if($result)
				{
					$amount_successfully_created++;
				}
			}
		}
		WriteXMLResult($amount_articles,$amount_successfully_created);
	}
}

/***************************************************************************\
// Exportiert alle Artikeldaten aus der Shopdatenbank
// in die OrgaMax Software. Hierbei werden keine 
// Varianten bercksichtigt, da diese Werte in der
// OrgaMax Software nicht dargestellt werden knnen.
// Bei der bertragung der Bestellung werden alle Werte
// der Varianten dann als Bemerkung bergeben.
// Hier knnen die Artikeldaten direkt aus der Datenbank
// per Query an die Schnittstelle bergeben werden.
\***************************************************************************/
function artikeldaten_shop_zu_orgamax()
  {
      // Brutto/Netto Preiseinstellungen laden	
      $tmpKleinUnternehmer  = "nein";
      $tmpInklMwSt          = "nein";
      $tmpExklMwSt          = "nein";
      // 2705
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2705';";
    	$result = mysql_query($query);
    	if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpKleinUnternehmer = $row->konfiguration_kwert; }
      // 2706
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2706';";
    	$result = mysql_query($query);
    	if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpInklMwSt = $row->konfiguration_kwert; }
      // 2707
      $query = "SELECT konfiguration_kwert FROM xaranshop_konfiguration WHERE konfiguration_nr ='2707';";
    	$result = mysql_query($query);
    	if(mysql_num_rows($result) > 0) { $row = mysql_fetch_object($result); $tmpExklMwSt = $row->konfiguration_kwert; }
      // Kleinunternehmer oder inkl. MwSt -> dann Brutto, sonst Netto
      if(($tmpKleinUnternehmer == "ja") OR ($tmpInklMwSt == "ja")) { $BruttoPreise = true; } else { $BruttoPreise = false; }
  
	$GLOBALS['datakind'] = "1";

	if($BruttoPreise == true)
    {
	  $GLOBALS['query'] = "
		SELECT  
		 artikel_id AS productID,  
		 artikel_artnr AS ArtikelnummerWebshop,  
		 artikel_bezeichnung01 AS Artikelbeschreibung,  
		 artikel_beschreibung01 AS Anmerkungen,  
		 artikel_mwst AS MwStCode,  
		 artikel_gewicht AS Gewicht,  
		 artikel_preis AS ArtikelpreisBrutto,  
		 artikel_mengeneinheit AS Einheit  
		FROM  
		 xaranshop_artikel 
		ORDER BY
		 artikel_id;";
	}
	else
	{
	  $GLOBALS['query'] = "
		SELECT  
		 artikel_id AS productID,  
		 artikel_artnr AS ArtikelnummerWebshop,  
		 artikel_bezeichnung01 AS Artikelbeschreibung,  
		 artikel_beschreibung01 AS Anmerkungen,  
		 artikel_mwst AS MwStCode,  
		 artikel_gewicht AS Gewicht,  
		 artikel_preis AS ArtikelpreisNetto,  
		 artikel_mengeneinheit AS Einheit  
		FROM  
		 xaranshop_artikel 
		ORDER BY
		 artikel_id;";
    }
    	
	return $GLOBALS['datakind'];

  }

/***************************************************************************\
// Die per Query gelesenen Artikeldaten prfen und ggf. 
// anpassen.
\***************************************************************************/
function artRow_ueberpruefen($artRow)
  {
      $tmpArtikelNummer = $artRow['ArtikelnummerWebshop']; 
    	$artRow['Artikelkategorie'] = '';
    	$artRow['ArtikelnummerWebshop'] = $artRow['ArtikelnummerWebshop'];
    	$artRow['Artikelbeschreibung'] = strip_tags($artRow['Artikelbeschreibung']);
    	$artRow['Anmerkungen'] = html_entity_decode($artRow['Anmerkungen'], ENT_QUOTES, 'utf-8');
      
      // Mengeneinheit ggf. anpassen -> Plural enfernen falls vorhanden
      $einheiten = explode("|",$artRow['Einheit']);
      $artRow['Einheit'] = $einheiten[0]; 
      
      // Artikelkategorie suchen
	    $query = "SELECT DISTINCT 
                  xaranshop_kategorien.kategorien_bezeichnung01 AS Artikelkategorie 
                FROM 
                  xaranshop_artikel 
                INNER JOIN 
                  xaranshop_kategorien On xaranshop_artikel.artikel_kid = xaranshop_kategorien.kategorien_id
                WHERE
                  xaranshop_artikel.artikel_artnr='$tmpArtikelNummer';";
  		$qRes = mysql_query($query); 	
      	if ($qRes)
      	{
        		while ($qRow = mysql_fetch_assoc($qRes))
        		{
        			$artRow['Artikelkategorie'] .= $qRow['Artikelkategorie'] . ";";
        		}
        		$artRow['Artikelkategorie'] = substr($artRow['Artikelkategorie'],0,strlen($artRow['Artikelkategorie'])-1);                    
        }
      
      return $artRow;
  }
  
/***************************************************************************\
// Hilfsfunktion fr OrgaMax. Die Artikelliste wird fr verschiedene OrgaMax
// Funktionen genutzt. Nicht ndern!
\***************************************************************************/
function hole_Artikelliste_fuer_export()
  {
	$selectQuery = "SELECT artikel_artnr, artikel_beschreibung01 FROM xaranshop_artikel WHERE artikel_aktiv='1';";
	
	/** XML-Dokument erzeugen */
	$dom = new DomDocument('1.0');
	$dom->xmlStandalone = true;
	$dom->encoding="utf-8";
	
    $domArticles = $dom->appendChild($dom->createElement('ArtikelListeWebshop'));
	$result = mysql_query($selectQuery);
	
	if(mysql_num_rows($result) > 0)
	{
		while($article = mysql_fetch_assoc($result))
		{
			$domArticle = $domArticles->appendChild($dom->createElement('row'));
			Add_NewDocElement($dom, $domArticle, 'ArtikelnummerWebshop', $article["artikel_artnr"]);
			Add_NewDocElement($dom, $domArticle, 'Artikelbeschreibung', $article["artikel_bezeichnung01"]);
		}
	}
	
	 $dom->formatOutput = true;
	 //zurck geben
   echo $dom->saveXML();
  }

/***************************************************************************\
// Prft lediglich, ob noch offene Bestellungen, die noch nicht an OrgaMax
// bertragen wurden, vorhanden sind. Nicht ndern!
\***************************************************************************/
function pruefeOffeneBestellungenImShop()
{
	$query = "SELECT bestellungen_id FROM xaranshop_bestellungen WHERE bestellungen_wawiexport='". $GLOBALS["DEFAULT_ORDERS_STATUS"] ."';";
	$result = mysql_query($query);
	
	if($result)
	{
		if(mysql_num_rows($result) > 0)
		{
			$value = mysql_result($result,0);
			if($value > 0)
			{
				echo 1;
			}
			else
			{
				echo 0;
			}
		}
		else
		{
			echo 0;
		}
	}
	else
	{
		echo 0;
	}
}  

/***************************************************************************\
*
*	div. Hilfsfunktionen -> nicht ndern!
*
\***************************************************************************/

/***************************************************************************\
// konvertiert betrag in float (ersetzt ggf. , zu .)
\***************************************************************************/
function ecmadouble($betrag)
      {  
        try
        {
          return floatval(str_replace(',', '.', $betrag));
        }
        catch (Exception $e)
        {
          return floatval(0.00);
        }
      }

/***************************************************************************\
//  Datenbankabfragen sicher 'escapen'
\***************************************************************************/
function sqlsicher($zeichenfolge)
      {
        global $verbindungskennung;
        if(get_magic_quotes_gpc() == 1)   // 0=aus; 1=an
        {
          $zeichenfolge = stripslashes($zeichenfolge);
        }
        if(function_exists('mysql_real_escape_string'))
        {
          return mysql_real_escape_string($zeichenfolge, $verbindungskennung);
        }
        elseif(function_exists('mysql_escape_string'))
        {
          return mysql_escape_string($zeichenfolge);
        }
        else
        {
          return addslashes($zeichenfolge);
        }
      }
?>