<?PHP
/***************************************************************************\
*
*	Copyright (c) 2013 deltra Business Software GmbH & Co. KG
*	http://www.deltra.de
*	Zuletzt bearbeitet am: 2013-03-05
*
\***************************************************************************/

$GLOBALS['VERSION_SCF'] = "4.0.00";

function daten_holen()
{
	#Querytyp:

	// datakind == 1 => Daten werden als Query verarbeitet
	// datakind == 2 => Daten werden als Array verarbeitet

	$GLOBALS['datakind'] = "1";

	#SQL Query f�r osCommerce

	$GLOBALS['query'] ="SELECT orders.orders_id AS orderID
						,orders.orders_id AS BestellnummerShop
						,orders.payment_method AS Zahlungsart
						,orders_total.title AS Lieferart
						,GROUP_CONCAT(orders_status_history.comments ORDER BY orders_status_history.orders_status_history_id SEPARATOR '  ----  ') AS AnmerkungenBestellung
						,orders_total.value AS FrachtkostenNetto
						,orders.date_purchased AS Bestelldatum
						,orders.customers_id AS KundennummerWebshop
						,customers.customers_lastname AS PersonNachname
						,customers.customers_firstname AS PersonVorname
						,orders.customers_company AS Firmenname
						,orders.customers_street_address AS Strasse
						,orders.customers_city AS Ort
						,orders.customers_postcode AS Postleitzahl
						,orders.customers_country AS Land
						,orders.customers_telephone AS Telefon
						,orders.customers_email_address AS Email
						,orders.delivery_name AS abweichendLieferungNachname
						,orders.delivery_company AS abweichendLieferungFirmenname
						,orders.delivery_street_address AS abweichendLieferungStrasse
						,orders.delivery_city AS abweichendLieferungOrt
						,orders.delivery_postcode AS abweichendLieferungPostleitzahl
						,orders.delivery_country AS abweichendLieferungLand
						,orders.billing_name AS abweichendRechnungPersNachname
						,orders.billing_company AS abweichendRechnungFirmenname
						,orders.billing_street_address AS abweichendRechnungStrasse
						,orders.billing_city AS abweichendRechnungOrt
						,orders.billing_postcode AS abweichendRechnungPostleitzahl
						,orders.billing_country AS abweichendLieferungLand
						,orders_products.orders_products_id AS Positionsnummer
						,orders_products.products_model AS ArtikelnummerShop
						,orders_products.final_price AS abweichenderEinzelpreisNetto
						,orders_products.products_tax AS abweichendeMwStProzent
						,orders_products.products_quantity AS Menge
					FROM orders
					INNER JOIN orders_products ON (orders.`orders_id` = `orders_products`.`orders_id`)
					LEFT OUTER JOIN orders_total ON (
							orders.`orders_id` = `orders_total`.`orders_id`
							AND orders_total.class = 'ot_shipping'
							)
					LEFT OUTER JOIN orders_status_history ON (orders.`orders_id` = `orders_status_history`.`orders_id` AND (`orders_status_history`.`comments` <> '' and `orders_status_history`.`comments` IS NOT NULL))
					LEFT OUTER JOIN customers ON (orders.`customers_id` = `customers`.`customers_id`)
					WHERE
					orders_status = '".$GLOBALS["DEFAULT_ORDERS_STATUS"]."'
					GROUP BY
						orders_products.orders_products_id
					ORDER BY orderID, Positionsnummer";
	return $GLOBALS['datakind'];
}

function row_ueberpruefen($row)
{
	# Anschrift �berarbeiten
	$row['Firmenname'] = htmlspecialchars($row['Firmenname']);
	$row['PersonNachname'] = htmlspecialchars($row['PersonNachname']);
	$row['PersonVorname'] = htmlspecialchars($row['PersonVorname']);
	$row['Strasse'] = htmlspecialchars($row['Strasse']);
	$row['Ort'] = htmlspecialchars($row['Ort']);
	$row['Land'] = htmlspecialchars($row['Land']);
	$row['Email'] = htmlspecialchars($row['Email']);
	$row['ArtikelnummerShop'] = htmlspecialchars($row['ArtikelnummerShop']);
	$row['AnmerkungenBestellung'] = htmlspecialchars($row['AnmerkungenBestellung']);
	
	# abeichende Rechnungsadresse
	$row['abweichendRechnungFirmenname'] = htmlspecialchars($row['abweichendRechnungFirmenname']);
	$row['abweichendRechnungPersNachname'] = htmlspecialchars($row['abweichendRechnungPersNachname']);
	$row['abweichendRechnungPersVorname'] = htmlspecialchars($row['abweichendRechnungPersVorname']);
	$row['abweichendRechnungStrasse'] = htmlspecialchars($row['abweichendRechnungStrasse']);
	$row['abweichendRechnungOrt'] = htmlspecialchars($row['abweichendRechnungOrt']);
	$row['abweichendRechnungLand'] = htmlspecialchars($row['abweichendRechnungLand']);
	
	# abweichende Lieferadresse
	$row['abweichendLieferungFirmenname'] = htmlspecialchars($row['abweichendLieferungFirmenname']);
	$row['abweichendLieferungPersNachname'] = htmlspecialchars($row['abweichendLieferungPersNachname']);
	$row['abweichendLieferungPersVorname'] = htmlspecialchars($row['abweichendLieferungPersVorname']);
	$row['abweichendLieferungStrasse'] = htmlspecialchars($row['abweichendLieferungStrasse']);
	$row['abweichendLieferungOrt'] = htmlspecialchars($row['abweichendLieferungOrt']);
	$row['abweichendLieferungLand'] = htmlspecialchars($row['abweichendLieferungLand']);

	# Geschlecht ermitteln

	$query = "Select customers_gender AS Geschlecht, customers_lastname AS PersonNachname, customers_firstname AS PersonVorname";
	$query .= "FROM customers ";
	$query .= "WHERE customers_id = ".$row['KundennummerWebshop']."";
	$qRes = mysql_query($query);

	if ($qRes)
	{
		$qRow = mysql_fetch_assoc($qRes);
		$row['PersonGeschlecht'] = $qRow['Geschlecht'];
	}// Das Geschlecht-Ermittlungsquery wurde erfolgreich ausgef�hrt
	
	# Anrede erg�nzen:
	if (($row["PersonAnrede"]=="") and (strtolower($row["PersonGeschlecht"])=="m"))
	{
		$row["PersonAnrede"] = "Herr";
	}// Wenn keine Anrede hinterlegt ist und das Geschlecht m�nnlich
	elseif (($row["PersonAnrede"]=="") and ((strtolower($row["PersonGeschlecht"])=="w") or ((strtolower($row["PersonGeschlecht"])=="f"))))
	{
		$row["PersonAnrede"] = "Frau";
	}// Wenn keine Anrede hinterlegt ist und das Geschlecht weiblich

	# Laender korrigieren...

	// ... Adresse
	if ((strtolower($row["Land"]) == "germany")) {$row["Land"] = "Deutschland";}
	if ((strtolower($row["Land"]) == "austria")) {$row["Land"] = "�sterreich";}
	if ((strtolower($row["Land"]) == "switzerland")){$row["Land"] = "Schweiz";}

	// ... Lieferadresse
	if ((strtolower($row["abweichendLieferungLand"]) == "germany"))	{$row["abweichendLieferungLand"] = "Deutschland";}
	if ((strtolower($row["abweichendLieferungLand"]) == "austria")) {$row["abweichendLieferungLand"] = "�sterreich";}
	if ((strtolower($row["abweichendLieferungLand"]) == "switzerland")) {$row["abweichendLieferungLand"] = "Schweiz";}

	// ... Rechnungsadresse
	if ((strtolower($row["abweichendRechnungLand"]) == "germany")) {$row["abweichendRechnungLand"] = "Deutschland";}
	if ((strtolower($row["abweichendRechnungLand"]) == "austria")) {$row["abweichendRechnungLand"] = "�sterreich";}
	if ((strtolower($row["abweichendRechnungLand"]) == "switzerland")) {$row["abweichendRechnungLand"] = "Schweiz";}
	
	// ... ISO L�nderk�rzel in orgaMAX Format �bersetzen
	$row['Laendercode'] = LaenderkuerzelISO2OMX($row['Laendercode']);	
	$row['abweichendRechnungLaendercode'] = LaenderkuerzelISO2OMX($row['abweichendRechnungLaendercode']);
	$row['abweichendLieferungLaendercode'] = LaenderkuerzelISO2OMX($row['abweichendLieferungLaendercode']);

	# Nachnamegeb�hren ermitteln
	if (strtolower(($row['Zahlungsart']) == 'cod') or ($row['Zahlungsart']=='Nachnahme'))
	{
		$query = "SELECT value ";
		$query .= "FROM orders_total ";
		$query .= "WHERE (orders_id=" . $row['orderID'] . ") and (class='ot_cod_fee')";
		$qRes = mysql_query($query);
		if ($qRes)
		{
			$qRow = mysql_fetch_assoc($qRes);
			$row['ZuschlagkostenBrutto1'] = $qRow['value'];
		} // Das Nachnahmegeb�r ermittlungsquery wurde erfolgreich ausgef�hrt
	} // Es ist ein Nachname Zahlung
	
	# Frachtkosteneinstellungen
	
	if ($row['FrachtkostenNetto'])
	{
		$row['FrachtkostenMwStProzent'] = "";
	} // Es sind Frachtkosten vorhanden
	
	# Artikelnummer-Einstellungen:
	
	if ($GLOBALS["artno_handling"] == 1)
	{
		$row['Artikelnummer'] = $row['ArtikelnummerShop'];
		$row['ArtikelnummerShop'] = "";
	} // 'Artikelnummer im Webshop' ist identisch zur Artikelnummer in orgaMAX

	return $row;
}

function artikeldaten_orgamax_zu_shop()
{
	$articleFile = file_get_contents('php://input');
	if($articleFile != null && strlen($articleFile) > 0) {
	
		$articles = simplexml_load_string(($articleFile));
		
		$amount_successfully_created = 0;
		$amount_articles = count($articles);
		
		foreach($articles as $article)
		{
			$Preis = 0.0;
			$Gewicht = 0.0;
			$articleNr =  htmlspecialchars(strip_tags($article->ArtikelnummerWebshop));
			
			// Artikelpreis formatieren
			if($article->ArtikelpreisNetto != 'DSC_IGNORE')
			{
				$Preis = str_replace(',','.',$article->ArtikelpreisNetto);
			}
			else
			{
				$Preis = str_replace(',','.',$article->ArtikelpreisBrutto);
			}
			
			//Artikelgewicht formatieren
			if(!is_null($article->Gewicht))
			{
				$Gewicht = str_replace(',','.',$article->Gewicht);
			}
			
			//Pr�fen ob der Artikel vorhanden ist
			$selectQuery = "SELECT products_id FROM products WHERE products_model = '".$articleNr."'";
			
			$res = mysql_query($selectQuery);
			$amount = mysql_num_rows($res);
			$value = 0;
			if($amount > 0)
			{
				$value = mysql_result($res,0);
			}
			
			// MwStCode aus MwStValue ermitteln
			$query = "SELECT tax_class_id FROM tax_rates WHERE tax_rate = ".$article->MwStValue;
			$result = mysql_query($query);
			if(mysql_num_rows($result) > 0)
			{
				$MwStCode = ($article->MwStValue != 0) ? mysql_result($result, 0) : 0;
				$article->MwStCode = $MwStCode;
			}
			
			# hier htmlentites verwenden, weil sonst Anzeige in osCommerce falsch ist
			$Artikelbeschreibung = @htmlentities(strip_tags($article->Artikelbeschreibung), ENT_QUOTES, 'UTF-8');
			$Anmerkungen = @htmlentities($article->Anmerkungen, ENT_QUOTES, 'UTF-8');
			//Artikel nicht gefunden, neu anlegen
			if($value == 0)
			{
				$query  = "INSERT INTO products(products_model,products_tax_class_id,products_weight, products_price) ";
				$query .= "VALUES('".$articleNr."',".$article->MwStCode.",'".$Gewicht."','".$Preis."')";
				
				mysql_query($query);
				
				$selectQuery = "SELECT products_id FROM products WHERE products_model = '".$articleNr."'";
			
				$res = mysql_query($selectQuery);
				
				$value = mysql_result($res,0);
				
				//Kategorie ebene 0 hinzuf�gen (keine Kategorie)
				$insertCat = "INSERT INTO products_to_categories(products_id, categories_id) VALUES(".intval($value).",0)";
				
				$result = mysql_query($insertCat);
				
				$descQuery = "INSERT INTO products_description(products_id, products_name, products_description, language_id) ";
				$descQuery .= "VALUES(".intval($value).", '".$Artikelbeschreibung."', '".$Anmerkungen."', ".$GLOBALS['articles_language'].")";
				
				$result = mysql_query($descQuery);
				
				if($result)
				{
					$amount_successfully_created++;
				}
			}
			//Artikel vorhanden aktualisieren
			else
			{
				$query  = "UPDATE products SET products_model = '".$articleNr."', products_tax_class_id = ".$article->MwStCode.", ";
				$query .= "products_weight = '".$Gewicht."', products_price = '".$Preis."' WHERE products_id = ".$value."";
				
				mysql_query($query);
				
				$descQuery 	= "UPDATE products_description SET products_name = '".$Artikelbeschreibung."', products_description = '".$Anmerkungen."'";
				$descQuery .= " WHERE products_id = ".$value."";
				
				$result = mysql_query($descQuery);
				
				if($result)
				{
					$amount_successfully_created++;
				}
			}
		}
		
		WriteXMLResult($amount_articles,$amount_successfully_created);
	}
	
}

function artikeldaten_shop_zu_orgamax()
{
	#Querytyp:

	// datakind == 1 => Daten werden als Query verarbeitet
	// datakind == 2 => Daten werden als Array verarbeitet
	
	$GLOBALS['datakind'] = "1";

	#SQL Query f�r osCommerce Artikel

	if ($GLOBALS['attributes_import'])
	{
		$GLOBALS['query'] = "
		SELECT
			products.products_id as productID,
			products.products_model as ArtikelnummerWebshop,
			products_description.products_name as Artikelbeschreibung,
			products_description.products_description as Anmerkungen,
			products.products_tax_class_id as MwStCode,
			products.products_weight as Gewicht,
			products.products_price as ArtikelpreisNetto,
			products_attributes.price_prefix AS Var_Preis_Praefix,
			products_attributes.options_values_price AS Var_Preis,
			products_options.products_options_name AS Var_Wert_Name,
			products_options_values.products_options_values_name AS Var_Wert				
		FROM products
		INNER JOIN
			products_description ON (products.products_id = products_description.products_id AND products_description.language_id = ".$GLOBALS['articles_language'].")
		LEFT OUTER JOIN
			products_attributes ON (products.products_id = products_attributes.products_id)
		LEFT OUTER JOIN
			products_options ON (products_attributes.options_id = products_options.products_options_id AND products_options.language_id = ".$GLOBALS['articles_language'].")
		LEFT OUTER JOIN
			products_options_values ON (products_attributes.options_values_id = products_options_values.products_options_values_id AND products_options_values.language_id = ".$GLOBALS['articles_language'].") 
		ORDER BY
			products.products_id";
	} // Wenn Varianten als Artikel importiert werden sollen
	else
	{
		$GLOBALS['query'] = "
		SELECT
			products.products_id as productID,
			products.products_model as ArtikelnummerWebshop,
			products_description.products_name as Artikelbeschreibung,
			products_description.products_description as Anmerkungen,
			products.products_tax_class_id as MwStCode,
			products.products_weight as Gewicht,
			products.products_price as ArtikelpreisNetto	
		FROM products
		INNER JOIN
			products_description ON (products.products_id = products_description.products_id AND products_description.language_id = ".$GLOBALS['articles_language'].")
			
		ORDER BY
			products.products_id";
	} // Wenn keine Attribute importiert werden sollen
	
	return $GLOBALS['datakind'];
	
}// artikeldaten_shop_zu_orgamax

function setze_lagerbestand_im_shop()
{
	$articleFile = file_get_contents('php://input');
	$amount_successfully_created = 0;
	$amount_articles = 0;
	if($articleFile != null && strlen($articleFile) > 0) {
		
		$articles = simplexml_load_string(($articleFile));
		$amount_articles = count($articles);
		
		foreach($articles as $article)
		{
			$articleNr =  strip_tags($article->ArtikelnummerWebshop);
			$query  = "UPDATE products SET products_quantity = '".str_replace(',','.',$article->LagerBestandAktuell)."'";
			$query .= " WHERE products_model = '".$articleNr."'";
			
			$result = mysql_query($query);
			
			if($result)
			{
				$amount_successfully_created++;
			}
		}
		
		
	}
	WriteXMLResult($amount_articles,$amount_successfully_created);
	//Hier k�nnen Sie den Bestellstatusexport vom ERP zum Shop definieren
}

function pruefeOffeneBestellungenImShop()
{
	$query = "SELECT orders.orders_id FROM orders, orders_total WHERE orders_status = '".$GLOBALS["DEFAULT_ORDERS_STATUS"]."'";
	
	$result = mysql_query($query);
	
	if($result)
	{
		if(mysql_num_rows($result) > 0)
		{
			$value = mysql_result($result,0);
			if($value > 0)
			{
				echo 1;
			}
			else
			{
				echo 0;
			}
		}
		else
		{
			echo 0;
		}
	}
	else
	{
		echo 0;
	}
}

function hole_Artikelliste_fuer_export()
{
	$selectQuery = "SELECT products_model, products_name FROM products, products_description WHERE products.products_id = products_description.products_id";
	
	/** XML-Dokument erzeugen */
	$dom = new DomDocument('1.0');
	$dom->xmlStandalone = true;
	$dom->encoding="utf-8";
	
    $domArticles = $dom->appendChild($dom->createElement('ArtikelListeWebshop'));
	$result = mysql_query($selectQuery);
	
	if(mysql_num_rows($result) > 0)
	{
		while($article = mysql_fetch_assoc($result))
		{
			$domArticle = $domArticles->appendChild($dom->createElement('row'));
			Add_NewDocElement($dom, $domArticle, 'ArtikelnummerWebshop',$article["products_model"]);
			Add_NewDocElement($dom, $domArticle, 'Artikelbeschreibung', $article["products_name"]);
		}
	}
	
	 $dom->formatOutput = true;
	 //zur�ck geben
     echo $dom->saveXML();
}

function setze_Artikelpreise_im_shop()
{
	$articleFile = file_get_contents('php://input');
	if($articleFile != null && strlen($articleFile) > 0) {
	
		$articles = simplexml_load_string(($articleFile));
		
		$amount_successfully_created = 0;
		$amount_articles = count($articles);
		
		foreach($articles as $article)
		{
			$Preis = 0.0;
			$articleNr =  strip_tags($article->ArtikelnummerWebshop);
			if($article->ArtikelpreisNetto != 'DSC_IGNORE')
			{
				$Preis = str_replace(',','.',$article->ArtikelpreisNetto);
			}
			else
			{
				$Preis = str_replace(',','.',$article->ArtikelpreisBrutto);
			}
			if($article->ArtikelPreisBeziehtSichAufMenge == 1)
			{
				$updateQuery = "UPDATE products SET products_price = '".$Preis."' WHERE products_model = '".$articleNr."'";
				
				$result = mysql_query($updateQuery);
				
				if($result > 0)
				{
					$amount_successfully_created++;
				}
			}
		}
		WriteXMLResult($amount_articles,$amount_successfully_created);
	}
	//Funktion wird von veyton nicht unters�tzt (Staffelpreis)
}

function artRow_ueberpruefen($artRow)
{
	# Artikeltexte kodieren
	$artRow['ArtikelnummerWebshop'] = $artRow['ArtikelnummerWebshop'];
	$artRow['Artikelbeschreibung'] = strip_tags($artRow['Artikelbeschreibung']);
	$artRow['Anmerkungen'] = html_entity_decode($artRow['Anmerkungen'], ENT_QUOTES, 'utf-8');
	
	#MwSt Wert zu ID ermitteln
	$query = "
		SELECT
			tax_rate
		FROM
			tax_rates
		WHERE
			tax_class_id = " . $artRow['MwStCode'];
	$result = mysql_query($query);
	
	if(mysql_num_rows($result) > 0)
	{
		$result_fetched = mysql_fetch_assoc($result);
		$artRow['MwStCode'] = (string)(double)$result_fetched['tax_rate'];
		$artRow['MwStValue'] = (string)(double)$result_fetched['tax_rate'];
	}
	
	# Artikelkategorie ermitteln
	$query = "SELECT categories_description.categories_name as Artikelkategorie ";
	$query .= "FROM products_to_categories ";
	$query .= "INNER JOIN categories_description ON (products_to_categories.categories_id = categories_description.categories_id AND categories_description.language_id = ".$GLOBALS['articles_language'].") ";
	$query .= "WHERE products_to_categories.products_id='".$artRow["productID"]."' AND products_to_categories.categories_id<>'0'";
	$qRes = mysql_query($query);
	
	if ($qRes)
	{
		while ($qRow = mysql_fetch_assoc($qRes))
		{
			$artRow["Artikelkategorie"] .= $qRow["Artikelkategorie"] . ";";
		} // Alle gefundenen Artikelkategorien durchgehen
		$artRow["Artikelkategorie"] = substr($artRow["Artikelkategorie"],0,strlen($artRow["Artikelkategorie"])-1);
	} // Wenn eine Artikelkategorie gefunden wurde
	
	# Artikelattribute ber�cksichtigen
	
	if ($GLOBALS['attributes_import'])
	{
		# Spalten umformen:
		
		if ($artRow["Var_ArtikelnummerWebshop"] <> "") 
		{
			$artRow["ArtikelnummerWebshop"] .= htmlspecialchars($artRow["Var_ArtikelnummerWebshop"]);
		}// Artikelnummer nur ab�ndern, wenn auch Attributs�nderungen vorhanden sind
		if ($artRow["Var_Wert"] <> "") 
		{
			$artRow["Artikelbeschreibung"] .= htmlspecialchars(" - " . $artRow["Var_Wert_Name"] . ": " . $artRow["Var_Wert"]);
		}// Artikelbeschreibung nur ab�ndern, wenn auch Attributs�nderungen vorhanden sind
		if ($artRow["Var_Gewicht"] <> "")
		{
			if($artRow['Var_Gewicht_Praefix'] == '+')
			{
				$artRow['Gewicht'] = (double)$artRow['Gewicht'] + (double)$artRow['Var_Gewicht'];
			}
			else if($artRow['Var_Gewicht_Praefix'] == '-')
			{
				$artRow['Gewicht'] = (double)$artRow['Gewicht'] - (double)$artRow['Var_Gewicht'];
			}
		}// Artikelgewicht nur ab�ndern, wenn auch Attributs�nderungen vorhanden sind
		if ($artRow["Var_Preis"])
		{
			if($artRow['Var_Preis_Praefix'] == '+')
			{
				$artRow['ArtikelpreisNetto'] = (double)$artRow['ArtikelpreisNetto'] + (double)$artRow['Var_Preis'];
			}
			else if($artRow['Var_Preis_Praefix'] == '-')
			{
				$artRow['ArtikelpreisNetto'] = (double)$artRow['ArtikelpreisNetto'] - (double)$artRow['Var_Preis'];
			}
		}// Artikelpreis nur ab�ndern, wenn auch Attributs�nderungen vorhanden sind
		
	}// Wenn Artikelattribute erlaubt sind
	
	# Wie soll Artikelnummer aus dem Shop behandelt werden:
	
	$artRow["Artikelnummer"] = '';
	/*if ($GLOBALS["artno_handling"] == 1)
	{
		$artRow["Artikelnummer"] = '';
	}*/
	// Wenn die Artikelnummer im Webshop gleich der Artikelnummer im ERP sein soll
	
	
	return $artRow;
	
}// article_row_ueberpruefen

function status_aendern($orderId)
{
	include_once "inc/config.php";
	$ShopStatus = $GLOBALS["aendern_zu"];
	
	$query = "SELECT orders_status FROM orders where orders_id=$orderId";
	$qRes = mysql_query($query);
	if ($qRes)
	{
		$row = mysql_fetch_assoc($qRes);
		if ($row['orders_status'] != 3)
		{
			$query = "UPDATE orders Set orders_status = '$ShopStatus' WHERE orders_id = '$orderId'";
			mysql_query($query);
			$error1 = mysql_error();
			$query = "INSERT INTO orders_status_history (orders_id, orders_status_id, date_added) VALUES ($orderId, $ShopStatus, '" . date("Y-m-d H:i:s") . "');";
			mysql_query($query);
			$error2 = mysql_error();
			if (($error1 == '') and ($error2 == ''))
			{
				die(xml_success_ausgeben("Der Status der Bestellung '" . $orderId . "' wurde auf '" . $ShopStatus . "' gesetzt."));
			} // Fehler
			else 
			{
				die(xml_error_ausgeben("Bei der Status�nderung der Bestellung '$orderId' auf den Wert '$ShopStatus' trat ein Fehler auf. Beim ersten Query meldete MySql '$error1' und beim zweiten '$error2'.", __FILE__, __FUNCTION__, __LINE__));
			}
		} // Der aktuelle status ist != 3
		else 
		{
			die(xml_success_ausgeben("Der Status der Bestellung '" . $orderId . "' durfte nicht ge�ndert werden, da er bereits den Wert '3' besitzt."));
		}
	} // Select query war erfolgreich
	else 
	{
		die(xml_error_ausgeben("Der Datensatz mit der Bestellnummer '" . $orderId . "' konnte nicht ermittelt werden.", __FILE__, __FUNCTION__, __LINE__));
	}
}

function starten()
{
	# Konfigurationsdatei vom Shopsystem einbinden und Verbindung zur Datenbank herstellen:

	if (file_exists(ORGAMAX_OS_CONFIG)) {
		include ORGAMAX_OS_CONFIG;
		$GLOBALS['sql_con'] = mysql_connect(DB_SERVER, DB_SERVER_USERNAME, DB_SERVER_PASSWORD);
		mysql_select_db(DB_DATABASE, $GLOBALS['sql_con']);

	}// Verbindung zur Datenbank herstellen:
	else
	{
		die (xml_error_ausgeben($GLOBALS['err_msg']['shop_cfg'],__FILE__, __FUNCTION__, __LINE__));
	}//Fehlermeldung ausgeben
	
	$charset = mysql_client_encoding($GLOBALS['sql_con']);
		
	if($charset != 'utf8')
	{
		mysql_set_charset('utf8',$GLOBALS['sql_con']);
	}
}

function ende()
{
	mysql_close($GLOBALS['sql_con']);
}
?>